Bug 171873 - OpenOffice.org 2.0 suffers random crashes while idle (-mtune=pentium4 ?)
OpenOffice.org 2.0 suffers random crashes while idle (-mtune=pentium4 ?)
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: openoffice.org (Show other bugs)
4
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Caolan McNamara
:
: 173718 174435 174650 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-10-27 06:56 EDT by Dennis Wagelaar
Modified: 2007-11-30 17:11 EST (History)
28 users (show)

See Also:
Fixed In Version: 2.0.1-143.2.1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-12-05 04:01:34 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
crash information (6.11 KB, text/plain)
2005-11-08 00:18 EST, Andrew
no flags Details
gdb Calc crash (11.09 KB, text/plain)
2005-11-15 09:01 EST, Fred New
no flags Details
stack (3.84 KB, application/octet-stream)
2005-11-18 09:06 EST, Caolan McNamara
no flags Details
crash report dor dullwriter.odt macro (8.29 KB, text/plain)
2005-11-23 18:21 EST, David
no flags Details
Yet another crash log for dullwriter.odt (8.30 KB, text/x-log)
2005-11-24 05:35 EST, Gilboa Davara
no flags Details
Proper backtrace, dullwriter, 2.0.1-0.141.1.1 (11.51 KB, text/plain)
2005-11-24 06:55 EST, Tarjei Knapstad
no flags Details
crash with 2.0.1-0.141.1.1 on x86_64 (4.95 KB, text/plain)
2005-11-25 05:21 EST, Thorsten Leemhuis
no flags Details
Valgrind run on 2.0.1-0.141.1 (53.46 KB, text/plain)
2005-11-28 10:43 EST, Tarjei Knapstad
no flags Details
New different crash, with unsigned reference (2.89 KB, text/plain)
2005-11-28 16:09 EST, David
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
GNU Compiler Collection 25199 None None None Never
OpenOffice.org 58368 None None None Never

  None (edit)
Description Dennis Wagelaar 2005-10-27 06:56:54 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; nl-NL; rv:1.7.12) Gecko/20050922 Fedora/1.0.7-1.1.fc4 Firefox/1.0.7

Description of problem:
Both in Impress and Calc, doing nothing for a while caused the application to crash without any error message whatsoever. When restarting the application, the "repair document" dialog comes up. I understand this "repair" thingy is new? I've never seen it before...

Unfortunately, I don't have anymore information...

Version-Release number of selected component (if applicable):
2.0.0-3.2.1

How reproducible:
Sometimes

Steps to Reproduce:
1. Start Calc or Impress (or perhaps any OO.o component)
2. Load a document
3. Do nothing for a while
  

Actual Results:  At some point the application just closed without any message.

Expected Results:  Application should have kept on running.

Additional info:
Comment 1 Peter Tiggerdine 2005-11-01 00:18:18 EST
I have discoved that it also crashes even while working. This the what happens
in terminal when writer crashes

** (soffice.bin:5448): WARNING **: TESTME: text insertion / deletion

killing the application does this.

/usr/lib/openoffice.org2.0/program/soffice: line 145:  5448 Killed      
"$sd_prog/$sd_binary" "$@"

Sorry I'm not more help than that is installing the openoffice-debuginfo going
to help resolve this issue? ( being a 355M d/l and all).
Comment 2 Caolan McNamara 2005-11-01 04:47:16 EST
hmm, is desktop->preferences->accessibility->assistive technology enabled or
disabled for all reporters of this problem ?
Comment 3 Andrew 2005-11-01 13:52:51 EST
Caolan McNamara: 

At work (Fedora Core 4, 32-bit software on 64-bit dual Opteron), we do not use
any assisitive technology.  The crashes are random, and no stack trace is ever
given.

At home (Fedora Core 4, 32-bit, single CPU) after I enabling screen reading with
gnopernicus (desktop->preferences, etc.), both Firefox and OpenOffice.org worked
very poorly.  In this case, OpenOffice.org did give a stack trace.  I did not
report this crash at home because I think gnopernicus was malfunctioning: some
program (festival?) was eating 100% of the CPU.
Comment 4 Peter Tiggerdine 2005-11-01 19:01:36 EST
Caolan McNamara,

Thanks for that tip. Assistive Technology Support was turned on when I inspected
the dialog box. After turning it off, OpenOffice.org-2.0 appears to have gained
stability and some small performance increase.

I've being using it for 30minutes without problems.

Will be interesting to hear from others on this.

Peter Tiggerdine.
Comment 5 Dennis Wagelaar 2005-11-02 03:55:11 EST
(In reply to comment #2)
> hmm, is desktop->preferences->accessibility->assistive technology enabled or
> disabled for all reporters of this problem ?

No, it is disabled for me. The time window of 30 minutes of stability reported
by Peter is also typical for me. Example case: I was giving an Impress
presentation and somewhere near the end of the presentation (while talking about
a slide and not touching the laptop), Impress "disappeared".
Comment 6 Peter Tiggerdine 2005-11-02 18:35:57 EST
Actually I concur with dennis I got about 4 hours of stability and then for no
reason writer "disappeared" taking my work with it. Today I'm going to run it
from CLI and hope that when it does "disappears", there's will be some sort of
error.
Comment 7 Peter Tiggerdine 2005-11-02 21:52:57 EST
This is more to the "disappearing" act the openoffice does.

After using OpenOffice.org-2.0 for 3 hours I recieved this error when running
from CLI. 

/usr/lib/openoffice.org2.0/program/soffice: line 145:  5384 Segmentation fault 
    "$sd_prog/$sd_binary" "$@"

hope this helps.
Comment 8 Caolan McNamara 2005-11-04 04:26:56 EST
I'd be a lot happer if I could rebuild OOo with gcc 4.0.2 for FC4, I'm
suspicious about http://gcc.gnu.org/bugzilla/show_bug.cgi?id=22132
Comment 9 Dennis Wagelaar 2005-11-04 08:20:29 EST
Managed to get a backtrace while running OOo in gdb. I'm not sure it's relevant,
but here goes anyway ;-).

(gdb) run
Starting program: /usr/lib/openoffice.org2.0/program/soffice.bin
Reading symbols from shared object read from target memory...(no debugging
symbols found)...done.
Loaded system supplied DSO at 0x9b5000
(no debugging symbols found)
[Thread debugging using libthread_db enabled]
[New Thread -1208850752 (LWP 13384)]
[New Thread 145034160 (LWP 13401)]
[New Thread 155524016 (LWP 13402)]
[New Thread 166013872 (LWP 13403)]
[New Thread -1294763088 (LWP 13410)]
[New Thread -1305326672 (LWP 13411)]
[Thread -1305326672 (LWP 13411) exited]

Program received signal SIG33, Real-time event 33.
[Switching to Thread -1294763088 (LWP 13410)]
0x009b5402 in __kernel_vsyscall ()
(gdb) bt
#0  0x009b5402 in __kernel_vsyscall ()
#1  0x0024ea5c in poll () from /lib/libc.so.6
#2  0x0187a5b2 in x11::SelectionManager::dispatchEvent (this=0x4aa2ab0,
    millisec=1000)
    at /usr/src/debug/OOO680_m3/dtrans/source/X11/X11_selection.cxx:3603
#3  0x0187a679 in x11::SelectionManager::run (pThis=0x4aa2ab0)
    at /usr/src/debug/OOO680_m3/dtrans/source/X11/X11_selection.cxx:3648
#4  0x006db4a2 in osl_thread_start_Impl (pData=0xa0ce910) at thread.c:279
#5  0x003e7b80 in start_thread () from /lib/libpthread.so.0
#6  0x002589ce in clone () from /lib/libc.so.6
(gdb)
Comment 10 Caolan McNamara 2005-11-04 08:50:28 EST
need to do a 

(gdb) handle SIG33 nostop noprint
(gdb) handle SIGPWR nostop noprint
(gdb) handle SIGXCPU nostop noprint
before
(gdb) run
Comment 11 James Bridge 2005-11-07 15:36:46 EST
I have had Fedora 4 since release and recently upgraded to OO 2 from 2 beta -
the versions provided by RedHat for Fedora (version 1:2.0.0-3.2.1). I mainly use
Write and find that now crashes - just vanishes from the screen. Doesn't make
any difference what I'm doing at the time, and it can be after anything from a
few minutes up to a couple of hours after startup. No sign of any stack trace 
but the document is always recovered on restarting.
Comment 12 Andrew 2005-11-08 00:18:07 EST
Created attachment 120804 [details]
crash information

Crash from when I had a document open and left for a few hours.  This was the
first time I saw the stack trace.  Usually OpenOffice.org just "disappears."
Comment 13 Sérgio Agostinho 2005-11-11 19:25:23 EST
I've got the same problem. OO just dissapears after a random amount of minutes.
While lauching from console:
$ oowriter
/usr/lib/openoffice.org2.0/program/soffice: line 145:  7575 Segmentation fault 
   "$sd_prog/$sd_binary" "$@"

This didn't happen in the beta version supplied with FC4. Only started to happen
today (although I've updated to 1:2.0.0-3.2.1 two weeks ago, and have been using
it).

Other information:

$ uname -r
2.6.11-1.1369_FC4

Assistive technology is disabled.
Comment 14 Sérgio Agostinho 2005-11-12 06:41:18 EST
I just remembered what I have changed in the last couple of days! I changed the
mixer from Alsa to OSS (using the GNOME's "Volume Applet"). Today I changed it
back to Alsa and guess what? OpenOffice.org is running for hours and doesn't
crash anymore!
Does this work for the rest of you?
Any ideas on how to fix this (I've got some issues with the Alsa mixer so I
would prefer to use the OSS mixer)?
Comment 15 Robin Laing 2005-11-13 03:09:06 EST
Well, this is interesting as I have just heard my wife scream for the second
time in a few minutes with OOo 2.0 crashing again, and again while using Writer.

Some times it works for about 30 minutes, other times it closes in a few
minutes.  It crashed once today with no interaction on the machine but something
else could have been used at the time of the crash.

It seems to crash, no matter if it is opened by file association or from the
toolbar.

I have yet to install any debugging tools on the machine that crashes.

openoffice.org-graphicfilter-2.0.0-3.2.1
openoffice.org-langpack-zh_TW-2.0.0-3.2.1
openoffice.org-core-2.0.0-3.2.1
openoffice.org-writer-2.0.0-3.2.1
openoffice.org-testtools-2.0.0-3.2.1
openoffice.org-xsltfilter-2.0.0-3.2.1
openoffice.org-draw-2.0.0-3.2.1
openoffice.org-langpack-ja_JP-2.0.0-3.2.1
openoffice.org-pyuno-2.0.0-3.2.1
openoffice.org-math-2.0.0-3.2.1
openoffice.org-langpack-es-2.0.0-3.2.1
openoffice.org-langpack-fr-2.0.0-3.2.1
openoffice.org-calc-2.0.0-3.2.1
openoffice.org-impress-2.0.0-3.2.1
openoffice.org-langpack-zh_CN-2.0.0-3.2.1
openoffice.org-javafilter-2.0.0-3.2.1

kernel-2.6.14-1.1637_FC4

Using ALSA mixer in response to Sergio's comment.

Assistive technology is disabled.

Now I wonder if this is either a Gnome problem or another underlaying issue as I
have had both Firefox and Mozilla do almostly the exact same thing on a
different machine. Bug 170137

If this happens as often tomorrow, I will be downloading OOo 2.0 from OpenOffice
site and installing it.  Nothing to lose.
Comment 16 Caolan McNamara 2005-11-14 05:14:30 EST
The next update for FC4 will have a working crash reporter to get the stacktrace
of these "idle" crashes which should give us some information to work on. It
might be an icu related layout information crash, there's a new safer set of
code gone in there which might help this.

Though if the problem is OSS vs ALSA the problem will persist, but at least the
stacktrace reporter will help identify it.
Comment 17 Fred New 2005-11-15 09:01:43 EST
Created attachment 121062 [details]
gdb Calc crash

a) Running under Gnome.  (FC4 with yum repo updates-testing enabled,
openoffice.org-core-2.0.0-3.2.1)
b) Not applicable.
c) This crashing seemed to appear about the same time I went from 1.9 to 2.0.
d) LANG=en_US.UTF-8
LC_CTYPE="en_US.UTF-8"
LC_NUMERIC="en_US.UTF-8"
LC_TIME="en_US.UTF-8"
LC_COLLATE="en_US.UTF-8"
LC_MONETARY="en_US.UTF-8"
LC_MESSAGES="en_US.UTF-8"
LC_PAPER="en_US.UTF-8"
LC_NAME="en_US.UTF-8"
LC_ADDRESS="en_US.UTF-8"
LC_TELEPHONE="en_US.UTF-8"
LC_MEASUREMENT="en_US.UTF-8"
LC_IDENTIFICATION="en_US.UTF-8"
LC_ALL=
Comment 18 José Matos 2005-11-15 09:09:50 EST
I have followed the procedure you have described with gdb, after the crash  
the backtrace reveals:  
  
0x00c01402 in __kernel_vsyscall ()  
(gdb) bt  
#0  0x00c01402 in __kernel_vsyscall ()  
#1  0x0072f8e8 in sendmsg () from /lib/libc.so.6  
#2  0x00eec7ee in sys_sendmsg () from /lib/libdsocks.so.0  
#3  0x00efa9bf in Rsendmsg () from /lib/libdsocks.so.0  
#4  0x00efaaf7 in Rsend () from /lib/libdsocks.so.0  
#5  0x00efab57 in Rwrite () from /lib/libdsocks.so.0  
#6  0x00eed20b in write () from /lib/libdsocks.so.0  
#7  0x054b61de in XUnlockDisplay () from /usr/X11R6/lib/libX11.so.6  
#8  0x054b63fc in _X11TransWrite () from /usr/X11R6/lib/libX11.so.6  
#9  0x0549b79b in _XError () from /usr/X11R6/lib/libX11.so.6  
#10 0x0549b8b6 in _XReply () from /usr/X11R6/lib/libX11.so.6  
#11 0x05497ac1 in XTranslateCoordinates () from /usr/X11R6/lib/libX11.so.6  
#12 0x00f3b3e7 in X11SalFrame::HandleSizeEvent ()  
from /usr/lib/openoffice.org2.0/program/libvclplug_gen680li.so  
#13 0x00f3df8d in X11SalFrame::Dispatch ()  
from /usr/lib/openoffice.org2.0/program/libvclplug_gen680li.so  
#14 0x00f65784 in SalX11Display::Dispatch ()  
from /usr/lib/openoffice.org2.0/program/libvclplug_gen680li.so  
#15 0x00f65a39 in SalX11Display::Yield ()  
from /usr/lib/openoffice.org2.0/program/libvclplug_gen680li.so  
#16 0x00f601d6 in SalDisplay::BestVisual ()  
from /usr/lib/openoffice.org2.0/program/libvclplug_gen680li.so  
#17 0x00f5fbcd in SalData::XIOErrorHdl ()  
from /usr/lib/openoffice.org2.0/program/libvclplug_gen680li.so  
#18 0x00f5f75d in SalXLib::Yield ()  
from /usr/lib/openoffice.org2.0/program/libvclplug_gen680li.so  
#19 0x00f66afa in X11SalInstance::Yield ()  
from /usr/lib/openoffice.org2.0/program/libvclplug_gen680li.so  
#20 0x03da7594 in Application::Yield ()  
from /usr/lib/openoffice.org2.0/program/libvcl680li.so  
#21 0x03da75ca in Application::Execute ()  
from /usr/lib/openoffice.org2.0/program/libvcl680li.so  
#22 0x005d1c73 in desktop::Desktop::Main ()  
from /usr/lib/openoffice.org2.0/program/libsoffice.so  
#23 0x03dac99f in InitVCL ()  
from /usr/lib/openoffice.org2.0/program/libvcl680li.so  
#24 0x03daca4f in SVMain ()  
from /usr/lib/openoffice.org2.0/program/libvcl680li.so  
#25 0x005ccad7 in sal_main ()  
from /usr/lib/openoffice.org2.0/program/libsoffice.so  
#26 0x005ccb23 in main ()  
from /usr/lib/openoffice.org2.0/program/libsoffice.so  
#27 0x00678d5f in __libc_start_main () from /lib/libc.so.6  
#28 0x080484c5 in _start ()  
  
Yes, I have dante running here and it shows in the first calls. 
I am not sure if it contaminates the resulting report... 
Comment 19 Caolan McNamara 2005-11-15 09:22:01 EST
we've two mis-matching callstacks here. 

caolanm->José: I wonder if add "export SAL_IGNOREXERRORS=true" to your 
/usr/lib/openoffice.org2.0/program/soffice
makes any difference when you run oowriter/oocalc etc.

caolanm->Fred New: Do you have accessibility enabled ? i.e. does 
> gconftool-2 -g /desktop/gnome/interface/accessibility
say true ?
Comment 20 Fred New 2005-11-15 09:45:15 EST
[fred@ruuttest ~]$ gconftool-2 -g /desktop/gnome/interface/accessibility
false
[fred@ruuttest ~]$

I might add that this crash occurred while I was actively using Calc; I didn't
notice the "while idle" in this bug's title until after I had attached the crash
log.
Comment 21 Evert Verhellen 2005-11-16 13:18:38 EST
I am also experiencing random crashes with Calc. I have used Calc extensively in
the beta period before 2.0 was reached. I don't recall ever seeing a crash back
then. Since 2.0 it just happens every now and then without doing anything
special. The crash recovery dialog which is shown on startup afterwards doesn't
recover the lost data however ...
Comment 22 James Bridge 2005-11-16 14:35:43 EST
OO Write _seems_ to be stable on my machine now. I don't use the other programs.
The only thing I have done is to undo the upgrade for Network Manager, going
back to the version 0.4... (NM 0.5 was randomly losing the internet connection.)
I can't see why it should matter but there's no other explanation.
Comment 23 Dotan Cohen 2005-11-16 15:10:59 EST
I see a lot of mention of Gnome here. We experience random crashes of Writer on
our home machine under KDE. The computer has an AMD Duron 1.2 Ghz with 512 RAM
if that makes any difference. The program crashes NOT while at idle, rather,
while typing (in Hebrew).

Hope this helps.
Comment 24 mp 2005-11-17 15:32:40 EST
it happened to me all the time too: OOo just vanished, sometimes very often.
Then I began to run it from the konsole to see what it was saying. Peculiarly
this reduced the crashes and I've had none for days - until now. This was the
message:

/usr/lib/openoffice.org2.0/program/soffice: line 145:  3727 Segmentation fault 
    "$sd_prog/$sd_binary" "$@"

I was running OOo Writer like this:
openoffice.org-2.0 -writer

as opposed to the panel icon, which is:
openoffice.org-2.0 -writer %U

%U returns an error message when run from konsole, but not from icon on desktop?

I am using:
openoffice.org-writer-2.0.0-3.2.1
2.6.14-1.1637_FC4 #1

in KDE
Comment 25 mp 2005-11-17 20:19:31 EST
this is just to confirm that what i described in comment #24 just reproduced itself:

/usr/lib/openoffice.org2.0/program/soffice: line 145:  5623 Segmentation fault 
    "$sd_prog/$sd_binary" "$@"

it does also, btw, always return this when opening from konsole:

libGL warning: 3D driver claims to not support visual 0x24
libGL warning: 3D driver claims to not support visual 0x28
libGL warning: 3D driver claims to not support visual 0x2c
libGL warning: 3D driver claims to not support visual 0x30

Comment 26 mp 2005-11-17 20:38:45 EST
dammit - it is getting more frequent, and this time there is a crash report.
That is the first time that happens (this is long!):

terminate called after throwing an instance of
'com::sun::star::lang::DisposedException'

---start copy and paste here---
0x7ba028: /usr/lib/openoffice.org2.0/program/libuno_sal.so.3 + 0x1e028
0x7ba7ee: /usr/lib/openoffice.org2.0/program/libuno_sal.so.3 + 0x1e7ee
0x135420:  + 0x420 (__kernel_sigreturn + 0x0)
0x28f888: /lib/libc.so.6 + 0x29888 (abort + 0xf8)
0x693d5e: /usr/lib/libstdc++.so.6 + 0xb7d5e
(__gnu_cxx::__verbose_terminate_handler() + 0x16e)
0x691a31: /usr/lib/libstdc++.so.6 + 0xb5a31
0x691a66: /usr/lib/libstdc++.so.6 + 0xb5a66
0x691b9a: /usr/lib/libstdc++.so.6 + 0xb5b9a (__cxa_rethrow + 0x0)
0x577fc20: /usr/lib/openoffice.org2.0/program/libxstor.so + 0x20c20
(OStorage::addModifyListener(com::sun::star::uno::Reference<com::sun::star::util::XModifyListener>
const&) + 0x4e)
0x27278ef: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x1568ef
0x272b331: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x15a331
(SfxBaseModel::Notify(SfxBroadcaster&, SfxHint const&) + 0x50d)
0x7d72713: /usr/lib/openoffice.org2.0/program/libsvl680li.so + 0x86713
(SfxBroadcaster::Broadcast(SfxHint const&) + 0x49)
0x268271b: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0xb171b
(SfxApplication::NotifyEvent(SfxEventHint const&, int) + 0x4f)
0x272ca92: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x15ba92
(SfxBaseModel::storeSelf(com::sun::star::uno::Sequence<com::sun::star::beans::PropertyValue>
const&) + 0x4ce)
0x273b9d3: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x16a9d3
0x270779d: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x13679d
0x2708cdc: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x137cdc
0x2777a46: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x1a6a46
0x2776e2a: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x1a5e2a
0x277713f: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x1a613f
0x27771e2: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x1a61e2
0x267806e: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0xa706e
0x27901dd: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x1bf1dd
0x2790098: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x1bf098
0x27901f2: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x1bf1f2
0x2790084: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x1bf084
0x7752300: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x82300
0x78a6740: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x1d6740
0x1064cdc: /usr/lib/openoffice.org2.0/program/libvclplug_gen680li.so + 0x1ecdc
0x108a9e8: /usr/lib/openoffice.org2.0/program/libvclplug_gen680li.so + 0x449e8
(SalDisplay::DispatchInternalEvent() + 0xb0)
0x14efa9: /usr/lib/openoffice.org2.0/program/libvclplug_gtk680li.so + 0x18fa9
0xfe2730: /usr/lib/libglib-2.0.so.0 + 0x25730
0xfe04ce: /usr/lib/libglib-2.0.so.0 + 0x234ce (g_main_context_dispatch + 0x1dc)
0xfe34d6: /usr/lib/libglib-2.0.so.0 + 0x264d6
0xfe39b8: /usr/lib/libglib-2.0.so.0 + 0x269b8 (g_main_context_iteration + 0x66)
0x14ebcf: /usr/lib/openoffice.org2.0/program/libvclplug_gtk680li.so + 0x18bcf
0x108bafa: /usr/lib/openoffice.org2.0/program/libvclplug_gen680li.so + 0x45afa
(X11SalInstance::Yield(unsigned char) + 0x28)
0x7758594: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x88594
(Application::Yield() + 0x48)
0x77585ca: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x885ca
(Application::Execute() + 0x26)
0xaf4c73: /usr/lib/openoffice.org2.0/program/libsoffice.so + 0x21c73
(desktop::Desktop::Main() + 0x15ab)
0x775d99f: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x8d99f
0x775da4f: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x8da4f (SVMain()
+ 0x29)
0xaefad7: /usr/lib/openoffice.org2.0/program/libsoffice.so + 0x1cad7 (sal_main +
0x57)
0xaefb23: /usr/lib/openoffice.org2.0/program/libsoffice.so + 0x1cb23 (main + 0x27)
0x27ad5f: /lib/libc.so.6 + 0x14d5f (__libc_start_main + 0xdf)
0x80484e1: /usr/lib/openoffice.org2.0/program/swriter.bin + 0x4e1
---end---


Comment 27 Caolan McNamara 2005-11-18 08:23:52 EST
frustrating, I installed a fresh fc4 and all its updates.

core, calc, graphicfilter, math, xsltfilter, writer, impress and draw of
2.0.0-3.2.1 and am not seeing this problem. 

Does changing tools->options->openoffice.org->load/save->general->"save
autorecovery every" to a real small no like 1 minute make this problem any more
frequent ?

what are peoples video drivers ?
Comment 28 Caolan McNamara 2005-11-18 09:06:22 EST
Created attachment 121225 [details]
stack
Comment 29 Caolan McNamara 2005-11-18 09:10:32 EST
ok finally got something out of this, looks like a timer related thing where
calc (possibly other editengine related apps).

This turns out to be a known bug and a fix has been checked in for 2.0.1. I
propose to build a 2.0.1 preview and make it available as a testing update for
FC-4 to see if it fixes the reported problem.
Comment 30 mp 2005-11-18 09:14:44 EST
strangely, i turned it real low - *after* getting these horrible moments (i am
writing a phd with OOo) - it is now set at 2 minutes, but it didnt seem to make
a difference - dont recall what it was set to before, but it was default setting
---

i am using the default "ATI RAGE 128" driver for that card:

/etc/X11/xorg.conf:

Section "Device"
        Identifier  "Videocard0"
        Driver      "r128"
        VendorName  "Videocard vendor"
        BoardName   "ATI Rage 128"
Comment 31 José Matos 2005-11-18 09:25:59 EST
I am sorry for replying so late, but real world got in the way. 
 
(In reply to comment #19) 
> we've two mis-matching callstacks here.  
>  
> caolanm->José: I wonder if add "export SAL_IGNOREXERRORS=true" to your  
> /usr/lib/openoffice.org2.0/program/soffice 
> makes any difference when you run oowriter/oocalc etc. 
 
  I will try. 
 
> caolanm->Fred New: Do you have accessibility enabled ? i.e. does  
> > gconftool-2 -g /desktop/gnome/interface/accessibility 
> say true ? 
 
false (it says false ;-) 
Comment 32 Andrew 2005-11-18 11:11:37 EST
IIRC, I've seen the "disappearing" crash with Xvnc.
Comment 33 Craig Goodyear 2005-11-19 13:31:47 EST
I am able to crash calc consistently when editing a chart.

1. select the chart for editing
2. select insert -> title from the menu
3. press the help button on the resulting dialog box

The same crash occurs when asking for help on other dialogs boxes that I have
tried to use to edit charts.

The help function works normally when not selecting from a dialog box.
Comment 34 David 2005-11-21 08:16:55 EST
Suffering from the same: OO.org crashes while idle or while working in a
completely random way.

- FC4 with all updates
- accesibility support is disabled
- Graphics: Intel Corporation 82852/855GM Integrated Graphics Device
- launching OO in the terminal with gdb I get the same errors as reported here

I see there is an openoffice 2.0.1 package available in the development tree,
but if I try to install it with yum, due to some lib depedencies I would have to
upgrade almost all system, when is that update 2.0.1 going to be available?

I'm also trying to write my PhD thesis in OO and this bug is quite annoying,
even if autosaving every minute.
Comment 35 Caolan McNamara 2005-11-21 08:25:28 EST
2.0.1 will be available for FC-4 when it is released from openoffice.org soon.
build m142 is planned to be 2.0.1 and is due within the next few days
Comment 36 Fred New 2005-11-22 05:03:17 EST
For those who don't want to wait a few days, the earlier packages may not have
the problem and they may still reside in your yum cache directory:

# cd /var/cache/yum/updates-released/packages/
# rpm -Uvh --oldpackage openoffice.org-*1.9.125-1.1.0.fc4.i386.rpm

(Caolan: It would be useful to have the upstream issue number here so we could
determine if this bug affected earlier versions.)
Comment 37 Caolan McNamara 2005-11-22 05:27:15 EST
There's a testing 2.0.1 update today for FC-4, the bug was fixed under an
internal Sun id (because the problem got fixed using a bugid from the bugreports
though the StarOffice automated bugreporter) so it's not a useful bugid.
Comment 38 mp 2005-11-22 17:46:15 EST
I don't seem to be able to find that download - did yum update with testing
enabled, but no openoffice?! Perhaps I am doing something wrong?

If there is an URI for the updated package it would be cool to get it.
Comment 39 Russell McOrmond 2005-11-22 17:56:19 EST
I am curious: Is the bug found in OOo (Toward 2.0.1) something where a similar
bug may be in Firefox?  I have been having problems with FireFox just exiting
for a while now, and thus keep Mozilla around as well.   When I upgraded from
the OOo that came with FC4 to openoffice.org-core-2.0.0-3.2.1 and noticed the
problem I thought that I was observing the same bug.

I do a lot of cutting-and-pasting between a browser and OOo (I use writer to
edit things which I then paste to CMS systems).

Comment 40 Caolan McNamara 2005-11-23 04:53:27 EST
just needs time to hit the download site and mirrors, I see it at
http://download.fedora.redhat.com/pub/fedora/linux/core/updates/testing/4/i386/
Comment 41 David 2005-11-23 08:50:15 EST
(In reply to comment #38)
> I don't seem to be able to find that download - did yum update with testing
> enabled, but no openoffice?! Perhaps I am doing something wrong?
> 
> If there is an URI for the updated package it would be cool to get it.

You just need to disable the mirror list on
/etc/yum.repos.d/fedora-updates-testing.repo to get the update immediattly,
using then

yum --enablerepo=updates-testing update openoffice*
Comment 42 David 2005-11-23 08:52:17 EST
With this 2.0.2 update I got my first random crash, while pasting a bit of text
to OO calc, here's the trace:

Video Driver is probably i810
OpenOffice.org core rpm version is openoffice.org-core-2.0.1-0.141.1.1
0x373312f: /usr/lib/openoffice.org2.0/program/libuno_sal.so.3 + 0x1e12f
0x37338f7: /usr/lib/openoffice.org2.0/program/libuno_sal.so.3 + 0x1e8f7
0xb0a420:  + 0x420 (__kernel_sigreturn + 0x0)
0x7d3d40: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0xe5d40
0x7d544d: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0xe744d
(OutputDevice::DrawRect(Rectangle const&) + 0xc5)
0x7f3ab8: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x105ab8
0x7f6194: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x108194
0x7f61f9: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x1081f9
(OutputDevice::Erase() + 0x59)
0x7f6c68: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x108c68
0x7f70d4: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x1090d4
(VirtualDevice::VirtualDevice(unsigned short) + 0x4e)
0x14b0162: /usr/lib/openoffice.org2.0/program/libsvx680li.so + 0x27e162
0x1490625: /usr/lib/openoffice.org2.0/program/libsvx680li.so + 0x25e625
(EditEngine::SetRefMapMode(MapMode const&) + 0x1d)
0xed5af2: /usr/lib/openoffice.org2.0/program/libsc680li.so + 0x3caaf2
0xed5c62: /usr/lib/openoffice.org2.0/program/libsc680li.so + 0x3cac62
0xe3844f: /usr/lib/openoffice.org2.0/program/libsc680li.so + 0x32d44f
0xe389ac: /usr/lib/openoffice.org2.0/program/libsc680li.so + 0x32d9ac
0xbeefb6: /usr/lib/openoffice.org2.0/program/libsc680li.so + 0xe3fb6
0xbef05e: /usr/lib/openoffice.org2.0/program/libsc680li.so + 0xe405e
0x768c64: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x7ac64
0x77473e: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x8673e
(Timer::Timeout() + 0x10)
0x774ab8: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x86ab8
0x2f656d9: /usr/lib/openoffice.org2.0/program/libvclplug_gen680li.so + 0x3f6d9
0x2f656c4: /usr/lib/openoffice.org2.0/program/libvclplug_gen680li.so + 0x3f6c4
(SalData::Timeout() const + 0x24)
0x2276cbc: /usr/lib/openoffice.org2.0/program/libvclplug_gtk680li.so + 0x18cbc
0x26401d6: /usr/lib/libglib-2.0.so.0 + 0x261d6
0x263e6be: /usr/lib/libglib-2.0.so.0 + 0x246be (g_main_context_dispatch + 0x1dc)
0x26416c6: /usr/lib/libglib-2.0.so.0 + 0x276c6
0x2641ba8: /usr/lib/libglib-2.0.so.0 + 0x27ba8 (g_main_context_iteration + 0x66)
0x2276e9b: /usr/lib/openoffice.org2.0/program/libvclplug_gtk680li.so + 0x18e9b
0x2f6c5ae: /usr/lib/openoffice.org2.0/program/libvclplug_gen680li.so + 0x465ae
(X11SalInstance::Yield(unsigned char) + 0x28)
0x76eef8: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x80ef8
(Application::Yield() + 0x48)
0x76ef2e: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x80f2e
(Application::Execute() + 0x26)
0x6c6d3e: /usr/lib/openoffice.org2.0/program/libsoffice.so + 0x24d3e
(desktop::Desktop::Main() + 0x15c6)
0x77430f: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x8630f
0x7743bf: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x863bf (SVMain()
+ 0x29)
0x6be2f7: /usr/lib/openoffice.org2.0/program/libsoffice.so + 0x1c2f7 (sal_main +
0x57)
0x6be343: /usr/lib/openoffice.org2.0/program/libsoffice.so + 0x1c343 (main + 0x27)
0x20ed5f: /lib/libc.so.6 + 0x14d5f (__libc_start_main + 0xdf)
0x80484e1: /usr/lib/openoffice.org2.0/program/scalc.bin + 0x4e1
Comment 43 Tarjei Knapstad 2005-11-23 09:08:17 EST
(In reply to comment #37)
> There's a testing 2.0.1 update today for FC-4, the bug was fixed under an
> internal Sun id (because the problem got fixed using a bugid from the bugreports
> though the StarOffice automated bugreporter) so it's not a useful bugid.

Installed 2.0.1-0.141.1.1 from updates-testing today, but I'm still getting the
stack trace first attached to this report (the DrawRect stuff) at random
intervals...

I'm very interested in getting this ironed out and I've got lots of experience
debugging C++ apps. I can't seem to find the debuginfo packages though...?
Comment 44 Tarjei Knapstad 2005-11-23 09:12:11 EST
Never mind, found the debuginfo package.
Comment 45 Robin 2005-11-23 09:24:48 EST
Installed the test version yesterday for my wife and she had three crashes.  In
a short time this happend and OOo wouldn't run for more than 30 minutes.  As the
old version worked better, I will re-install it.


From the first crash
===========================================================
Video Driver is probably nvidia
OpenOffice.org core rpm version is openoffice.org-core-2.0.1-0.141.1.1
0x23b12f: /usr/lib/openoffice.org2.0/program/libuno_sal.so.3 + 0x1e12f
0x23b8f7: /usr/lib/openoffice.org2.0/program/libuno_sal.so.3 + 0x1e8f7
0xe65420:  + 0x420 (__kernel_sigreturn + 0x0)
0x2033c35: /usr/lib/openoffice.org2.0/program/libfwe680li.so + 0x33c35
(framework::LockHelper::~LockHelper() + 0x37)
0x203266f: /usr/lib/openoffice.org2.0/program/libfwe680li.so + 0x3266f
0x205d4c0: /usr/lib/openoffice.org2.0/program/libfwe680li.so + 0x5d4c0
(framework::PreventDuplicateInteraction::~PreventDuplicateInteraction() + 0x74)
0x1e7c72: /usr/lib/openoffice.org2.0/program/libuno_cppuhelpergcc3.so.3 +
0x20c72 (cppu::OWeakObject::release() + 0x44)
0x205e0b3: /usr/lib/openoffice.org2.0/program/libfwe680li.so + 0x5e0b3
0x54ecae: /usr/lib/openoffice.org2.0/program/libcomphelp4gcc3.so + 0x39cae
0xb94def: /usr/lib/openoffice.org2.0/program/libuno_cppu.so.3 + 0xedef
0xb9d7c8: /usr/lib/openoffice.org2.0/program/libuno_cppu.so.3 + 0x177c8
(uno_any_destruct + 0x24)
0x54ecfd: /usr/lib/openoffice.org2.0/program/libcomphelp4gcc3.so + 0x39cfd
0x54f036: /usr/lib/openoffice.org2.0/program/libcomphelp4gcc3.so + 0x3a036
0x54f145: /usr/lib/openoffice.org2.0/program/libcomphelp4gcc3.so + 0x3a145
0x577878: /usr/lib/openoffice.org2.0/program/libcomphelp4gcc3.so + 0x62878
0x5778bf: /usr/lib/openoffice.org2.0/program/libcomphelp4gcc3.so + 0x628bf
0x577dff: /usr/lib/openoffice.org2.0/program/libcomphelp4gcc3.so + 0x62dff
0x577e29: /usr/lib/openoffice.org2.0/program/libcomphelp4gcc3.so + 0x62e29
0x577e37: /usr/lib/openoffice.org2.0/program/libcomphelp4gcc3.so + 0x62e37
0x576fbd: /usr/lib/openoffice.org2.0/program/libcomphelp4gcc3.so + 0x61fbd
(comphelper::SequenceAsHashMap::~SequenceAsHashMap() + 0xb)
0x247c9f9: /usr/lib/openoffice.org2.0/program/libfwk680li.so + 0x759f9
0x252b728: /usr/lib/openoffice.org2.0/program/libfwk680li.so + 0x124728
0x252ba37: /usr/lib/openoffice.org2.0/program/libfwk680li.so + 0x124a37
0x252c4cc: /usr/lib/openoffice.org2.0/program/libfwk680li.so + 0x1254cc
0x252c5d0: /usr/lib/openoffice.org2.0/program/libfwk680li.so + 0x1255d0
0x6fb7e64: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x82e64
0x6fc393e: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x8e93e
(Timer::Timeout() + 0x10)
0x6fc3cb8: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x8ecb8
0x13226d9: /usr/lib/openoffice.org2.0/program/libvclplug_gen680li.so + 0x3f6d9
0x13226c4: /usr/lib/openoffice.org2.0/program/libvclplug_gen680li.so + 0x3f6c4
(SalData::Timeout() const + 0x24)
0xe0acbc: /usr/lib/openoffice.org2.0/program/libvclplug_gtk680li.so + 0x18cbc
0x127efe6: /usr/lib/libglib-2.0.so.0 + 0x24fe6
0x127d4ce: /usr/lib/libglib-2.0.so.0 + 0x234ce (g_main_context_dispatch + 0x1dc)
0x12804d6: /usr/lib/libglib-2.0.so.0 + 0x264d6
0x12809b8: /usr/lib/libglib-2.0.so.0 + 0x269b8 (g_main_context_iteration + 0x66)
0xe0ae9b: /usr/lib/openoffice.org2.0/program/libvclplug_gtk680li.so + 0x18e9b
0x13295ae: /usr/lib/openoffice.org2.0/program/libvclplug_gen680li.so + 0x465ae
(X11SalInstance::Yield(unsigned char) + 0x28)
0x6fbe0f8: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x890f8
(Application::Yield() + 0x48)
0x6fbe12e: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x8912e
(Application::Execute() + 0x26)
0x2365c3e: /usr/lib/openoffice.org2.0/program/libsoffice.so + 0x25c3e
(desktop::Desktop::Main() + 0x15c6)
0x6fc350f: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x8e50f
0x6fc35bf: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x8e5bf (SVMain()
+ 0x29)
0x235d1f7: /usr/lib/openoffice.org2.0/program/libsoffice.so + 0x1d1f7 (sal_main
+ 0x57)
0x235d243: /usr/lib/openoffice.org2.0/program/libsoffice.so + 0x1d243 (main + 0x27)
0x8a7d5f: /lib/libc.so.6 + 0x14d5f (__libc_start_main + 0xdf)
0x80484e1: /usr/lib/openoffice.org2.0/program/swriter.bin + 0x4e1
=====================================================
Installed rpm's.

openoffice.org-calc-2.0.1-0.141.1.1
openoffice.org-langpack-zh_TW-2.0.1-0.141.1.1
openoffice.org-impress-2.0.1-0.141.1.1
openoffice.org-writer-2.0.1-0.141.1.1
openoffice.org-graphicfilter-2.0.1-0.141.1.1
openoffice.org-langpack-ja_JP-2.0.1-0.141.1.1
openoffice.org-testtools-2.0.1-0.141.1.1
openoffice.org-draw-2.0.1-0.141.1.1
openoffice.org-langpack-fr-2.0.1-0.141.1.1
openoffice.org-math-2.0.1-0.141.1.1
openoffice.org-langpack-es-2.0.1-0.141.1.1
openoffice.org-xsltfilter-2.0.1-0.141.1.1
openoffice.org-core-2.0.1-0.141.1.1
openoffice.org-langpack-zh_CN-2.0.1-0.141.1.1 
======================================================
Second crash.  The info is different.
=======================================================
Video Driver is probably nvidia
OpenOffice.org core rpm version is openoffice.org-core-2.0.1-0.141.1.1
0x23b12f: /usr/lib/openoffice.org2.0/program/libuno_sal.so.3 + 0x1e12f
0x23b8f7: /usr/lib/openoffice.org2.0/program/libuno_sal.so.3 + 0x1e8f7
0xe4c420:  + 0x420 (__kernel_sigreturn + 0x0)
0x2033c35: /usr/lib/openoffice.org2.0/program/libfwe680li.so + 0x33c35
(framework::LockHelper::~LockHelper() + 0x37)
0x203266f: /usr/lib/openoffice.org2.0/program/libfwe680li.so + 0x3266f
0x205d4c0: /usr/lib/openoffice.org2.0/program/libfwe680li.so + 0x5d4c0
(framework::PreventDuplicateInteraction::~PreventDuplicateInteraction() + 0x74)
0x1e7c72: /usr/lib/openoffice.org2.0/program/libuno_cppuhelpergcc3.so.3 +
0x20c72 (cppu::OWeakObject::release() + 0x44)
0x205e0b3: /usr/lib/openoffice.org2.0/program/libfwe680li.so + 0x5e0b3
0x7c6908a: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x9908a
0xb94def: /usr/lib/openoffice.org2.0/program/libuno_cppu.so.3 + 0xedef
0xb9d7c8: /usr/lib/openoffice.org2.0/program/libuno_cppu.so.3 + 0x177c8
(uno_any_destruct + 0x24)
0x7c690ab: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x990ab
0x7d5326b: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x18326b
0x8085ec: /usr/lib/openoffice.org2.0/program/libsvl680li.so + 0x6f5ec
(SfxItemPool::Remove(SfxPoolItem const&) + 0x8a)
0x80be65: /usr/lib/openoffice.org2.0/program/libsvl680li.so + 0x72e65
(SfxAllItemSet::Put(SfxPoolItem const&, unsigned short) + 0x243)
0x7c7e812: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0xae812
0x7d0a369: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x13a369
0x7d0baf4: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x13baf4
0x7d7d04e: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x1ad04e
0x7d7c432: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x1ac432
0x7d7c747: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x1ac747
0x7d7c7ea: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x1ac7ea
0x7c78d16: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0xa8d16
0x7d957e5: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x1c57e5
0x7d956a0: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x1c56a0
0x7d957fa: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x1c57fa
0x7d9568c: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x1c568c
0x6fb7e64: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x82e64
0x71110c4: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x1dc0c4
0x5af4f6c: /usr/lib/openoffice.org2.0/program/libvclplug_gen680li.so + 0x1ef6c
0x5b1b3a6: /usr/lib/openoffice.org2.0/program/libvclplug_gen680li.so + 0x453a6
(SalDisplay::DispatchInternalEvent() + 0xb0)
0xe0b275: /usr/lib/openoffice.org2.0/program/libvclplug_gtk680li.so + 0x19275
0x1169730: /usr/lib/libglib-2.0.so.0 + 0x25730
0x11674ce: /usr/lib/libglib-2.0.so.0 + 0x234ce (g_main_context_dispatch + 0x1dc)
0x116a4d6: /usr/lib/libglib-2.0.so.0 + 0x264d6
0x116a9b8: /usr/lib/libglib-2.0.so.0 + 0x269b8 (g_main_context_iteration + 0x66)
0xe0ae9b: /usr/lib/openoffice.org2.0/program/libvclplug_gtk680li.so + 0x18e9b
0x5b1c5ae: /usr/lib/openoffice.org2.0/program/libvclplug_gen680li.so + 0x465ae
(X11SalInstance::Yield(unsigned char) + 0x28)
0x6fbe0f8: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x890f8
(Application::Yield() + 0x48)
0x6fbe12e: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x8912e
(Application::Execute() + 0x26)
0x2365c3e: /usr/lib/openoffice.org2.0/program/libsoffice.so + 0x25c3e
(desktop::Desktop::Main() + 0x15c6)
0x6fc350f: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x8e50f
0x6fc35bf: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x8e5bf (SVMain()
+ 0x29)
0x235d1f7: /usr/lib/openoffice.org2.0/program/libsoffice.so + 0x1d1f7 (sal_main
+ 0x57)
0x235d243: /usr/lib/openoffice.org2.0/program/libsoffice.so + 0x1d243 (main + 0x27)
0x8a7d5f: /lib/libc.so.6 + 0x14d5f (__libc_start_main + 0xdf)
0x80484e1: /usr/lib/openoffice.org2.0/program/swriter.bin + 0x4e1
=============================================================

And the third crash.
=============================================================
Video Driver is probably nvidia
OpenOffice.org core rpm version is openoffice.org-core-2.0.1-0.141.1.1
0x23b12f: /usr/lib/openoffice.org2.0/program/libuno_sal.so.3 + 0x1e12f
0x23b8f7: /usr/lib/openoffice.org2.0/program/libuno_sal.so.3 + 0x1e8f7
0xa03420:  + 0x420 (__kernel_sigreturn + 0x0)
0x7022f40: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0xedf40
0x702464d: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0xef64d
(OutputDevice::DrawRect(Rectangle const&) + 0xc5)
0x7042cb8: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x10dcb8
0x7045394: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x110394
0x70453f9: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x1103f9
(OutputDevice::Erase() + 0x59)
0x7045e68: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x110e68
0x70462d4: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x1112d4
(VirtualDevice::VirtualDevice(unsigned short) + 0x4e)
0x2a9a22e: /usr/lib/openoffice.org2.0/program/libsvx680li.so + 0x4d822e
0x2b46f07: /usr/lib/openoffice.org2.0/program/libsvx680li.so + 0x584f07
(SdrPageViewWindow::CreateViewSpecificObjectContact() + 0x27)
0x2b46f42: /usr/lib/openoffice.org2.0/program/libsvx680li.so + 0x584f42
(SdrPageViewWindow::GetObjectContact() const + 0x1e)
0x2b49f54: /usr/lib/openoffice.org2.0/program/libsvx680li.so + 0x587f54
(SdrPageViewWindow::Redraw(Region const&, unsigned short, unsigned char const*,
sdr::contact::ViewObjectContactRedirector*) const + 0x29a)
0x2b4a0ce: /usr/lib/openoffice.org2.0/program/libsvx680li.so + 0x5880ce
(SdrPageView::DrawLayer(unsigned char, Rectangle const&, OutputDevice*, unsigned
short) const + 0xae)
0x31d56ee: /usr/lib/openoffice.org2.0/program/libsw680li.so + 0x1d06ee
0x32bd1b5: /usr/lib/openoffice.org2.0/program/libsw680li.so + 0x2b81b5
0x31d8fbd: /usr/lib/openoffice.org2.0/program/libsw680li.so + 0x1d3fbd
(ViewShell::ImplEndAction(unsigned char) + 0x5b5)
0x31b44ff: /usr/lib/openoffice.org2.0/program/libsw680li.so + 0x1af4ff
0x31bc9fc: /usr/lib/openoffice.org2.0/program/libsw680li.so + 0x1b79fc
(SwCrsrShell::EndAction(unsigned char) + 0x7a)
0x31b4374: /usr/lib/openoffice.org2.0/program/libsw680li.so + 0x1af374
(SwEditShell::EndAllAction() + 0x30)
0x31aae62: /usr/lib/openoffice.org2.0/program/libsw680li.so + 0x1a5e62
(SwEditShell::Insert(String const&) + 0x13e)
0x36e1e72: /usr/lib/openoffice.org2.0/program/libsw680li.so + 0x6dce72
(SwWrtShell::Insert(String const&) + 0x220)
0x360d481: /usr/lib/openoffice.org2.0/program/libsw680li.so + 0x608481
0x36168e3: /usr/lib/openoffice.org2.0/program/libsw680li.so + 0x6118e3
0x710ed73: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x1d9d73
0x71109ca: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x1db9ca
0x786f7c: /usr/lib/openoffice.org2.0/program/libvclplug_gtk680li.so + 0x28f7c
0x784fea: /usr/lib/openoffice.org2.0/program/libvclplug_gtk680li.so + 0x26fea
0x785d84: /usr/lib/openoffice.org2.0/program/libvclplug_gtk680li.so + 0x27d84
0x1164efa: /usr/lib/libgobject-2.0.so.0 + 0x13efa
(g_cclosure_marshal_VOID__STRING + 0x51)
0x1159285: /usr/lib/libgobject-2.0.so.0 + 0x8285 (g_closure_invoke + 0x10a)
0x116775b: /usr/lib/libgobject-2.0.so.0 + 0x1675b
0x1168eb0: /usr/lib/libgobject-2.0.so.0 + 0x17eb0 (g_signal_emit_valist + 0x6ab)
0x116ba10: /usr/lib/libgobject-2.0.so.0 + 0x1aa10 (g_signal_emit_by_name + 0xf0)
0xf4be31: /usr/lib/libgtk-x11-2.0.so.0 + 0xf1e31
0x1164efa: /usr/lib/libgobject-2.0.so.0 + 0x13efa
(g_cclosure_marshal_VOID__STRING + 0x51)
0x1159285: /usr/lib/libgobject-2.0.so.0 + 0x8285 (g_closure_invoke + 0x10a)
0x116775b: /usr/lib/libgobject-2.0.so.0 + 0x1675b
0x1168eb0: /usr/lib/libgobject-2.0.so.0 + 0x17eb0 (g_signal_emit_valist + 0x6ab)
0x116ba10: /usr/lib/libgobject-2.0.so.0 + 0x1aa10 (g_signal_emit_by_name + 0xf0)
0xf4a19d: /usr/lib/libgtk-x11-2.0.so.0 + 0xf019d
0xf4a7cd: /usr/lib/libgtk-x11-2.0.so.0 + 0xf07cd
0xf49ac6: /usr/lib/libgtk-x11-2.0.so.0 + 0xefac6 (gtk_im_context_filter_keypress
+ 0x4d)
0xf4bbc0: /usr/lib/libgtk-x11-2.0.so.0 + 0xf1bc0
0xf49ac6: /usr/lib/libgtk-x11-2.0.so.0 + 0xefac6 (gtk_im_context_filter_keypress
+ 0x4d)
0x7865ac: /usr/lib/openoffice.org2.0/program/libvclplug_gtk680li.so + 0x285ac
0x7866a8: /usr/lib/openoffice.org2.0/program/libvclplug_gtk680li.so + 0x286a8
0xf65be2: /usr/lib/libgtk-x11-2.0.so.0 + 0x10bbe2
0x1159285: /usr/lib/libgobject-2.0.so.0 + 0x8285 (g_closure_invoke + 0x10a)
0x116775b: /usr/lib/libgobject-2.0.so.0 + 0x1675b
0x1168c23: /usr/lib/libgobject-2.0.so.0 + 0x17c23 (g_signal_emit_valist + 0x41e)
0x1169223: /usr/lib/libgobject-2.0.so.0 + 0x18223 (g_signal_emit + 0x29)
0x1041743: /usr/lib/libgtk-x11-2.0.so.0 + 0x1e7743
0xf64459: /usr/lib/libgtk-x11-2.0.so.0 + 0x10a459 (gtk_propagate_event + 0x1d2)
0xf64784: /usr/lib/libgtk-x11-2.0.so.0 + 0x10a784 (gtk_main_do_event + 0x329)
0x581fdf6: /usr/lib/libgdk-x11-2.0.so.0 + 0x3bdf6
0x13424ce: /usr/lib/libglib-2.0.so.0 + 0x234ce (g_main_context_dispatch + 0x1dc)
0x13454d6: /usr/lib/libglib-2.0.so.0 + 0x264d6
0x13459b8: /usr/lib/libglib-2.0.so.0 + 0x269b8 (g_main_context_iteration + 0x66)
0x776e9b: /usr/lib/openoffice.org2.0/program/libvclplug_gtk680li.so + 0x18e9b
0x11d35ae: /usr/lib/openoffice.org2.0/program/libvclplug_gen680li.so + 0x465ae
(X11SalInstance::Yield(unsigned char) + 0x28)
0x6fbe0f8: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x890f8
(Application::Yield() + 0x48)
0x6fbe12e: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x8912e
(Application::Execute() + 0x26)
0x2365c3e: /usr/lib/openoffice.org2.0/program/libsoffice.so + 0x25c3e
(desktop::Desktop::Main() + 0x15c6)
0x6fc350f: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x8e50f
0x6fc35bf: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x8e5bf (SVMain()
+ 0x29)
0x235d1f7: /usr/lib/openoffice.org2.0/program/libsoffice.so + 0x1d1f7 (sal_main
+ 0x57)
0x235d243: /usr/lib/openoffice.org2.0/program/libsoffice.so + 0x1d243 (main + 0x27)
0x8a7d5f: /lib/libc.so.6 + 0x14d5f (__libc_start_main + 0xdf)
0x80484e1: /usr/lib/openoffice.org2.0/program/swriter.bin + 0x4e1
=============================================================

This is actually worse than the previous version.  I will be re-isntalling the
original version again.
Comment 46 Gilboa Davara 2005-11-23 12:43:35 EST
Same here.
oowriter (Test) update crashed after ~2 hours of work. (Which is a nice
improvement over the -stable version.)

---start copy and paste here---
Video Driver is probably vesa
OpenOffice.org core rpm version is openoffice.org-core-2.0.1-0.141.1.1
0x7ca12f: /usr/lib/openoffice.org2.0/program/libuno_sal.so.3 + 0x1e12f
0x7ca8f7: /usr/lib/openoffice.org2.0/program/libuno_sal.so.3 + 0x1e8f7
0x3f0420:  + 0x420 (__kernel_sigreturn + 0x0)
0x6738d40: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0xe5d40
0x673a44d: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0xe744d
(OutputDevice::DrawRect(Rectangle const&) + 0xc5)
0x6758ab8: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x105ab8
0x675b194: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x108194
0x675b1f9: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x1081f9
(OutputDevice::Erase() + 0x59)
0x675bc68: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x108c68
0x675c0d4: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x1090d4
(VirtualDevice::VirtualDevice(unsigned short) + 0x4e)
0x533712e: /usr/lib/openoffice.org2.0/program/libsvx680li.so + 0x49312e
0x53e3e07: /usr/lib/openoffice.org2.0/program/libsvx680li.so + 0x53fe07
(SdrPageViewWindow::CreateViewSpecificObjectContact() + 0x27)
0x53e3e42: /usr/lib/openoffice.org2.0/program/libsvx680li.so + 0x53fe42
(SdrPageViewWindow::GetObjectContact() const + 0x1e)
0x53e6e54: /usr/lib/openoffice.org2.0/program/libsvx680li.so + 0x542e54
(SdrPageViewWindow::Redraw(Region const&, unsigned short, unsigned char const*,
sdr::contact::ViewObjectContactRedirector*) const + 0x29a)
0x53e6fce: /usr/lib/openoffice.org2.0/program/libsvx680li.so + 0x542fce
(SdrPageView::DrawLayer(unsigned char, Rectangle const&, OutputDevice*, unsigned
short) const + 0xae)
0xb72aee: /usr/lib/openoffice.org2.0/program/libsw680li.so + 0x199aee
0xc5a6a9: /usr/lib/openoffice.org2.0/program/libsw680li.so + 0x2816a9
0xb763bd: /usr/lib/openoffice.org2.0/program/libsw680li.so + 0x19d3bd
(ViewShell::ImplEndAction(unsigned char) + 0x5b5)
0xb518ff: /usr/lib/openoffice.org2.0/program/libsw680li.so + 0x1788ff
0xb59dfc: /usr/lib/openoffice.org2.0/program/libsw680li.so + 0x180dfc
(SwCrsrShell::EndAction(unsigned char) + 0x7a)
0xb51127: /usr/lib/openoffice.org2.0/program/libsw680li.so + 0x178127
0x1082df5: /usr/lib/openoffice.org2.0/program/libsw680li.so + 0x6a9df5
(SwWrtShell::DelRight(unsigned char) + 0xc3)
0xfdc729: /usr/lib/openoffice.org2.0/program/libsw680li.so + 0x603729
0xfdc7a0: /usr/lib/openoffice.org2.0/program/libsw680li.so + 0x6037a0
0x6b6de6e: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x19ce6e
0x6b6d252: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x19c252
0x6b6d743: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x19c743
(SfxDispatcher::_Execute(SfxShell&, SfxSlot const&, SfxRequest&, unsigned short)
+ 0x137)
0x6b769be: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x1a59be
0x6b65199: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x194199
0x6b655d7: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x1945d7
0x7739ede: /usr/lib/openoffice.org2.0/program/libsvt680li.so + 0xd0ede
0x7739fa0: /usr/lib/openoffice.org2.0/program/libsvt680li.so + 0xd0fa0
0x66cdc64: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x7ac64
0x686bb0a: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x218b0a
0x686baf0: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x218af0
0x66cdc64: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x7ac64
0x6826ec4: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x1d3ec4
0x20acf6c: /usr/lib/openoffice.org2.0/program/libvclplug_gen680li.so + 0x1ef6c
0x20d33a6: /usr/lib/openoffice.org2.0/program/libvclplug_gen680li.so + 0x453a6
(SalDisplay::DispatchInternalEvent() + 0xb0)
0x33f2275: /usr/lib/openoffice.org2.0/program/libvclplug_gtk680li.so + 0x19275
0x202a730: /usr/lib/libglib-2.0.so.0 + 0x25730
0x20284ce: /usr/lib/libglib-2.0.so.0 + 0x234ce (g_main_context_dispatch + 0x1dc)
0x202b4d6: /usr/lib/libglib-2.0.so.0 + 0x264d6
0x202b9b8: /usr/lib/libglib-2.0.so.0 + 0x269b8 (g_main_context_iteration + 0x66)
0x33f1e9b: /usr/lib/openoffice.org2.0/program/libvclplug_gtk680li.so + 0x18e9b
0x20d45ae: /usr/lib/openoffice.org2.0/program/libvclplug_gen680li.so + 0x465ae
(X11SalInstance::Yield(unsigned char) + 0x28)
0x66d3ef8: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x80ef8
(Application::Yield() + 0x48)
0x66d3f2e: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x80f2e
(Application::Execute() + 0x26)
0x9b1d3e: /usr/lib/openoffice.org2.0/program/libsoffice.so + 0x24d3e
(desktop::Desktop::Main() + 0x15c6)
0x66d930f: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x8630f
0x66d93bf: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x863bf (SVMain()
+ 0x29)
0x9a92f7: /usr/lib/openoffice.org2.0/program/libsoffice.so + 0x1c2f7 (sal_main +
0x57)
0x9a9343: /usr/lib/openoffice.org2.0/program/libsoffice.so + 0x1c343 (main + 0x27)
0x125d5f: /lib/libc.so.6 + 0x14d5f (__libc_start_main + 0xdf)
0x80484e1: /usr/lib/openoffice.org2.0/program/swriter.bin + 0x4e1
---end copy and paste here---

Comment 47 Russell McOrmond 2005-11-23 12:53:11 EST
I installed the updates-testing version, and far quicker than any previous
version it crashed.  This time it was a crash rather than a silent exit, so I
have something to paste here...

Video Driver is probably mga
OpenOffice.org core rpm version is openoffice.org-core-2.0.1-0.141.1.1
0xd3112f: /usr/lib/openoffice.org2.0/program/libuno_sal.so.3 + 0x1e12f
0xd318f7: /usr/lib/openoffice.org2.0/program/libuno_sal.so.3 + 0x1e8f7
0x63f420:  + 0x420 (__kernel_sigreturn + 0x0)
0xa93055: /usr/lib/openoffice.org2.0/program/libfwe680li.so + 0x32055
(framework::LockHelper::~LockHelper() + 0x37)
0xa91a8f: /usr/lib/openoffice.org2.0/program/libfwe680li.so + 0x30a8f
0xabc8e0: /usr/lib/openoffice.org2.0/program/libfwe680li.so + 0x5b8e0
(framework::PreventDuplicateInteraction::~PreventDuplicateInteraction() + 0x74)
0xb05c72: /usr/lib/openoffice.org2.0/program/libuno_cppuhelpergcc3.so.3 +
0x1ec72 (cppu::OWeakObject::release() + 0x44)
0xabd4d3: /usr/lib/openoffice.org2.0/program/libfwe680li.so + 0x5c4d3
0x6de3eaa: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x88eaa
0x895def: /usr/lib/openoffice.org2.0/program/libuno_cppu.so.3 + 0xedef
0x89e7c8: /usr/lib/openoffice.org2.0/program/libuno_cppu.so.3 + 0x177c8
(uno_any_destruct + 0x24)
0x6de3ecb: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x88ecb
0x6ece08b: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x17308b
0x17d90c: /usr/lib/openoffice.org2.0/program/libsvl680li.so + 0x6c90c
(SfxItemPool::Remove(SfxPoolItem const&) + 0x8a)
0x183b92: /usr/lib/openoffice.org2.0/program/libsvl680li.so + 0x72b92
(SfxItemSet::~SfxItemSet() + 0x8e)
0x1843dc: /usr/lib/openoffice.org2.0/program/libsvl680li.so + 0x733dc
0x6e5b6eb: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x1006eb
(SfxMedium::~SfxMedium() + 0x3d)
0x6e7baee: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x120aee
(SfxObjectShell::DoSaveCompleted(SfxMedium*) + 0x2ec)
0x6e7e9ea: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x1239ea
0x6e7eebf: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x123ebf
0x6e839f4: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x1289f4
0x6ea6f63: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x14bf63
0x6eaa518: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x14f518
(SfxBaseModel::storeAsURL(rtl::OUString const&,
com::sun::star::uno::Sequence<com::sun::star::beans::PropertyValue> const&) + 0xc0)
0x6ebad1c: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x15fd1c
0x6e853d6: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x12a3d6
0x6e86914: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x12b914
0x6ef7e6e: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x19ce6e
0x6ef7252: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x19c252
0x6ef7743: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x19c743
(SfxDispatcher::_Execute(SfxShell&, SfxSlot const&, SfxRequest&, unsigned short)
+ 0x137)
0x6f009be: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x1a59be
0x6eef199: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x194199
0x6eef5d7: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x1945d7
0x63e5e6f: /usr/lib/openoffice.org2.0/program/libfwk680li.so + 0xaae6f
0x63e5ef2: /usr/lib/openoffice.org2.0/program/libfwk680li.so + 0xaaef2
0x34dc64: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x7ac64
0x46091a: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x18d91a
(Menu::Select() + 0x3c)
0x45b073: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x188073
0x45b086: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x188086
0x34dc64: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x7ac64
0x4a6ec4: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x1d3ec4
0x75cdf6c: /usr/lib/openoffice.org2.0/program/libvclplug_gen680li.so + 0x1ef6c
0x75f43a6: /usr/lib/openoffice.org2.0/program/libvclplug_gen680li.so + 0x453a6
(SalDisplay::DispatchInternalEvent() + 0xb0)
0xf30275: /usr/lib/openoffice.org2.0/program/libvclplug_gtk680li.so + 0x19275
0x1880730: /usr/lib/libglib-2.0.so.0 + 0x25730
0x187e4ce: /usr/lib/libglib-2.0.so.0 + 0x234ce (g_main_context_dispatch + 0x1dc)
0x18814d6: /usr/lib/libglib-2.0.so.0 + 0x264d6
0x18819b8: /usr/lib/libglib-2.0.so.0 + 0x269b8 (g_main_context_iteration + 0x66)
0xf2fe9b: /usr/lib/openoffice.org2.0/program/libvclplug_gtk680li.so + 0x18e9b
0x75f55ae: /usr/lib/openoffice.org2.0/program/libvclplug_gen680li.so + 0x465ae
(X11SalInstance::Yield(unsigned char) + 0x28)
0x353ef8: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x80ef8
(Application::Yield() + 0x48)
0x353f2e: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x80f2e
(Application::Execute() + 0x26)
0xa39d3e: /usr/lib/openoffice.org2.0/program/libsoffice.so + 0x24d3e
(desktop::Desktop::Main() + 0x15c6)
0x35930f: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x8630f
0x3593bf: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x863bf (SVMain()
+ 0x29)
0xa312f7: /usr/lib/openoffice.org2.0/program/libsoffice.so + 0x1c2f7 (sal_main +
0x57)
0xa31343: /usr/lib/openoffice.org2.0/program/libsoffice.so + 0x1c343 (main + 0x27)
0x8e3d5f: /lib/libc.so.6 + 0x14d5f (__libc_start_main + 0xdf)
0x80484c5: /usr/lib/openoffice.org2.0/program/soffice.bin + 0x4c5
Comment 48 Caolan McNamara 2005-11-23 13:38:02 EST
plan b: I'll whipp up a macro to insert and delete some text continously to see
if that will trigger one of these two crashes for me.
Comment 49 David 2005-11-23 13:43:36 EST
Is there any other way we can help? By installing the RPM package debuginfo, can
we get more useful information for you? And how?
Comment 50 Caolan McNamara 2005-11-23 14:00:17 EST
I think I've got a lead now:
http://people.redhat.com/caolanm/macros/dullwriter.odt is giving me something
reproducable which looks similiar to work with
Comment 51 Russell McOrmond 2005-11-23 14:49:00 EST
Note:  To create the crash report I sent on Comment #47 I was just trying to
convert a file.  I loaded
http://www.digital-copyright.ca/petition/petition_en.sxw and then tried to save
it as an OpenDocument file when it crashed.

I am back to openoffice.org-core-1.9.104-2 so I can get some work done today,
but can switch to test versions as they come out given that OOo is very
important to me (work wise and strategic/policy wise).
Comment 52 mp 2005-11-23 15:11:33 EST
has anyone had any success with the newest/testing version?

so far it seems that things have gotten rather worse - i have done like like
Fred for now:
Comment #36 From Fred New (fred.new@microlink.ee)  	 on 2005-11-22 05:03 EST  
[reply]  	   	 

For those who don't want to wait a few days, the earlier packages may not have
the problem and they may still reside in your yum cache directory:

# cd /var/cache/yum/updates-released/packages/
# rpm -Uvh --oldpackage openoffice.org-*1.9.125-1.1.0.fc4.i386.rpm

(Caolan: It would be useful to have the upstream issue number here so we could
determine if this bug affected earlier versions.)

Comment 53 David 2005-11-23 18:21:05 EST
Created attachment 121421 [details]
crash report dor dullwriter.odt macro

(In reply to comment #50)
> I think I've got a lead now:
> http://people.redhat.com/caolanm/macros/dullwriter.odt is giving me something

> reproducable which looks similiar to work with

Yep, just after a few seconds of opening this document I get a crash.
Comment 54 Gilboa Davara 2005-11-24 05:31:33 EST
(In reply to comment #50)
> I think I've got a lead now:
> http://people.redhat.com/caolanm/macros/dullwriter.odt is giving me something
> reproducable which looks similiar to work with

Same here. dullwriter.odt crashes oowriter within ~30 seconds.
Crash report attached.
Comment 55 Gilboa Davara 2005-11-24 05:35:30 EST
Created attachment 121444 [details]
Yet another crash log for dullwriter.odt
Comment 56 Tarjei Knapstad 2005-11-24 06:55:27 EST
Created attachment 121447 [details]
Proper backtrace, dullwriter, 2.0.1-0.141.1.1

OK, I've attached a proper backtrace using the debuginfo now for 2.0.1 (no less
than 76 levels deep...).

I'm going to start downgrading backwards to the original FC4 package and see if
I can figure out when this regression was introduced.
Comment 57 Tarjei Knapstad 2005-11-24 07:15:03 EST
Didn't have to go back far, this was introduced in 2.0.0-3.2.1 (I get the same
backtrace).

1.9.125-1.1.0 and earlier are fine.
Comment 58 Robin 2005-11-24 09:02:25 EST
This is probably why my wife got over 4 hours of work without even a hickup
using 1.9.125-1.1.0 last night.  She won't allow me to change anything until
this is working properly.  At least on the laptop.

Comment 59 Caolan McNamara 2005-11-24 09:40:31 EST
bizzare, building vcl without -mtune=pentium4 and the macro doesn't crash my
otherwise unchanged OOo, building it with it and it does. Need to investigate
that a bit.
Comment 60 Tarjei Knapstad 2005-11-24 10:14:48 EST
It gets stranger :) I just tried running it through valgrind (2.4) and I can't
make it crash... (well, I did crash valgrind itself when trying to exit).

Will try again with valgrind 3.0.1 and see if I can gather something useful.
Comment 61 Caolan McNamara 2005-11-24 10:22:42 EST
building new testing rpms
Comment 62 Thorsten Leemhuis 2005-11-25 05:21:52 EST
Created attachment 121481 [details]
crash with 2.0.1-0.141.1.1 on x86_64

Had a crash with the latest openoffice.org-2.0.1-0.141.1.1 on x86_64 today.
Don't know if it related. Find attached the crash informations
Comment 63 Tarjei Knapstad 2005-11-25 08:32:22 EST
(In reply to comment #62)
> Had a crash with the latest openoffice.org-2.0.1-0.141.1.1 on x86_64 today.
> Don't know if it related. Find attached the crash informations

Yep, this is more of the same.

Couldn't run valgrind 3.0.1 unfortunately as 1GB of ram wasn't enough to satisfy
it's hunger (and addrcheck is disabled for now in 3.x). Awaiting fresh packages
from Mr. McNamara :)

Out of curiosity, what is that '\0' termination stuff doing in that BOOL value
on top of the stack trace I posted? Is the BOOL type an unsigned char?
Comment 64 Caolan McNamara 2005-11-25 08:54:56 EST
Yes BOOL is unsigned char. OOo dies (sometimes) on comparison of a particular
bitfield to unsigned char. Code is fine as far as I can see. Freshly built
packages are passing the macro test I created. All is totally unchanged in OOo
source itself between the last package and the new one except for changing
-mtune as passed to gcc from RPM_OPTS. Strongly indicating some weird bitfield
to unsigned char comparison gcc problem triggered possibly by -mtune=pentium4
Comment 65 David 2005-11-27 11:19:12 EST
Whenever I put some more load on OpenOffice these crashes continue frequently,
can we test your later version you built without the mtune option? Or eventually
it still crashes also?

I don't want to revert to 1.9 because crash recovery is not active...
Comment 66 David 2005-11-27 11:21:13 EST
Whenever I put some more load on OpenOffice these crashes continue frequently,
can we test your later version you built without the mtune option? Or eventually
it still crashes also?

I don't want to revert to 1.9 because crash recovery is not active...
Comment 67 Robin 2005-11-28 09:52:59 EST
I would put 1.9 on if the crashes are a problem.  It works and works.  My wife
has been using it now for 4 days without a single crash.  Large, over 100 page
document and it just keeps on working.  I believe she has autosave enabled which
works.

It I had a choice between crashes and crash recovery or no crashes and no crash
recovery, I would take the latter.
Comment 68 Tarjei Knapstad 2005-11-28 10:41:16 EST
(In reply to comment #64)
> Yes BOOL is unsigned char. OOo dies (sometimes) on comparison of a particular
> bitfield to unsigned char. Code is fine as far as I can see.

I see. Both the variables in the comparison statement are of type BOOL, so it's
quite strange indeed that a comparison of two unsigned chars should cause a
crash.  The use of unsigned chars as booleans seems rather silly and arcane, but
I guess this is a remnant from the early staroffice days when compilers were
less friendly.

In any case, I've managed to run it through the latest valgrind now (3.1.0) and
I'm attaching the results. The most interesting parts seem to be the source and
destination overlaps in some calls to memcpy() and the "Your program just tried
to execute an instruction that Valgrind did not recognise." bit. If gcc is
generating bogus code (which sounds likely), then the latter may give some
indication as to what goes wrong, but I'm not sure how to interpret it. Maybe
you could run your build through valgrind as well and do a comparison of the
results?
Comment 69 Tarjei Knapstad 2005-11-28 10:43:46 EST
Created attachment 121550 [details]
Valgrind run on 2.0.1-0.141.1
Comment 70 David 2005-11-28 16:09:16 EST
Created attachment 121561 [details]
New different crash, with unsigned reference

And I notice a new set of RPMs (2.0.1-0.141.3.1) in
http://download.fedora.redhat.com/pub/fedora/linux/core/updates/testing/4/i386/
which I'm downloading now trough yum, is this the one without the mtune option?
Comment 71 Caolan McNamara 2005-11-29 03:26:54 EST
2.0.1-0.141.3.1 is now available (after thanksgiving stalled the update process
:-)) without the default global FC5 "-mtune=pentium4" optimization flag in
operation. This passes my macro test of
http://people.redhat.com/caolanm/macros/dullwriter.odt which reproduced the
"DrawText" backtrace problem of most reports mentioned here. I'd ask that in the
event of crashes with this version, that only backtraces which have "DrawText"
in them are added to this bugreport, and another else opened as a new bug (just
in case there is a seperate non-DrawText outstanding bug). And clearly only if
there are problems in 2.0.1-0.141.3.1, as earlier versions appear -mtune afflicted.
Comment 72 Caolan McNamara 2005-11-29 03:51:56 EST
*** Bug 174435 has been marked as a duplicate of this bug. ***
Comment 73 Caolan McNamara 2005-11-29 09:20:47 EST
*** Bug 173718 has been marked as a duplicate of this bug. ***
Comment 74 Rodd Clarkson 2005-11-30 00:30:06 EST
Here's something to consider.

My wife (who uses OOo for days at a time) thinks that this may have something to
do with OOo crashing when an auto-save is occuring and you do something else. 
For example, an auto-save occurs at the same time that you bold some text.
Comment 75 Kern Sibbald 2005-11-30 13:21:31 EST
Since upgrading from version 1.9.125 to openoffice 2.0.0, I experience crashes 
in Writer and Calc about every 10 minutes for no apparent reason. This usually 
happens when I am doing something but also happens when it is idle. "crash" 
means the window just suddenly disappears.  
 
This instability renders the product totally useless to get normal work done.  
The severity level should be increased to maximum, and this version should be 
pulled IMO it does a great disservice to what was a quite stable product for 
many years. 
 
Since reverting to version 1.9.125 I have no such crashes. 
 
I'm running FC4 on a Dell Dimension with all updates applied as of 4 days ago. 
Comment 76 Craig Goodyear 2005-11-30 13:38:13 EST
I have been trying to upgrade OpenOffice from the testing repository, however I
receive the following error from yumex after all of the packages have been
downloaded:

"Public key for openoffice.org-math-2.0.1-0.141.3.1.i386.rpm is not installed"

Is this a valid error, or I do I have a problem on my end?

Thanks,
Craig
Comment 77 Ryan S. Dancey 2005-11-30 14:55:48 EST
Same problem:  Here's the output from the OOo crash report:

Video Driver is probably i810
OpenOffice.org core rpm version is openoffice.org-core-2.0.1-0.141.3.1
0x11f137: /usr/lib/openoffice.org2.0/program/libuno_sal.so.3 + 0x1e137
0x11f8ff: /usr/lib/openoffice.org2.0/program/libuno_sal.so.3 + 0x1e8ff
0xf08420:  + 0x420 (__kernel_sigreturn + 0x0)
0x5c22918: /usr/lib/openoffice.org2.0/program/libsvt680li.so + 0x28b918
0x5c21730: /usr/lib/openoffice.org2.0/program/libsvt680li.so + 0x28a730
(SvtBasePrintOptions::SetReduceTransparency(unsigned char) + 0x36)
0x5c21a5d: /usr/lib/openoffice.org2.0/program/libsvt680li.so + 0x28aa5d
(SvtBasePrintOptions::SetPrinterOptions(PrinterOptions const&) + 0x21)
0x58d6f94: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x222f94
(SfxCommonPrintOptionsTabPage::FillItemSet(SfxItemSet&) + 0xd6)
0x2b942ad: /usr/lib/openoffice.org2.0/program/libcui680li.so + 0x842ad
0x2b942e8: /usr/lib/openoffice.org2.0/program/libcui680li.so + 0x842e8
0x4dc3e72: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x82e72
0x4f28ca1: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x1e7ca1
(Control::ImplCallEventListenersAndHandler(unsigned long, Link const&, void*) +
0x57)
0x4f1e6d9: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x1dd6d9
(Button::Click() + 0x25)
0x4f238b1: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x1e28b1
(OKButton::Click() + 0x7d)
0x4f27f07: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x1e6f07
(PushButton::Tracking(TrackingEvent const&) + 0x19d)
0x4f182e9: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x1d72e9
(Window::EndTracking(unsigned short) + 0x115)
0x4f1c432: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x1db432
0x4f1db63: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x1dcb63
0x4f1c90c: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x1db90c
0xe20fa6: /usr/lib/openoffice.org2.0/program/libvclplug_gtk680li.so + 0x28fa6
0xe20da0: /usr/lib/openoffice.org2.0/program/libvclplug_gtk680li.so + 0x28da0
0x7c80be2: /usr/lib/libgtk-x11-2.0.so.0 + 0x10bbe2
0xf11285: /usr/lib/libgobject-2.0.so.0 + 0x8285 (g_closure_invoke + 0x10a)
0xf1f75b: /usr/lib/libgobject-2.0.so.0 + 0x1675b
0xf20c23: /usr/lib/libgobject-2.0.so.0 + 0x17c23 (g_signal_emit_valist + 0x41e)
0xf21223: /usr/lib/libgobject-2.0.so.0 + 0x18223 (g_signal_emit + 0x29)
0x7d5c743: /usr/lib/libgtk-x11-2.0.so.0 + 0x1e7743
0x7c7f348: /usr/lib/libgtk-x11-2.0.so.0 + 0x10a348 (gtk_propagate_event + 0xc1)
0x7c7f784: /usr/lib/libgtk-x11-2.0.so.0 + 0x10a784 (gtk_main_do_event + 0x329)
0xe6adf6: /usr/lib/libgdk-x11-2.0.so.0 + 0x3bdf6
0xf684ce: /usr/lib/libglib-2.0.so.0 + 0x234ce (g_main_context_dispatch + 0x1dc)
0xf6b4d6: /usr/lib/libglib-2.0.so.0 + 0x264d6
0xf6b9b8: /usr/lib/libglib-2.0.so.0 + 0x269b8 (g_main_context_iteration + 0x66)
0xe10e9d: /usr/lib/openoffice.org2.0/program/libvclplug_gtk680li.so + 0x18e9d
0x1014521: /usr/lib/openoffice.org2.0/program/libvclplug_gen680li.so + 0x46521
(X11SalInstance::Yield(unsigned char) + 0x29)
0x4dca1ba: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x891ba
(Application::Yield() + 0x50)
0x4ec24d8: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x1814d8
(Dialog::Execute() + 0x166)
0x2b97528: /usr/lib/openoffice.org2.0/program/libcui680li.so + 0x87528
0x2b63bbc: /usr/lib/openoffice.org2.0/program/libcui680li.so + 0x53bbc
0x576d8f0: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0xb98f0
0x5765e88: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0xb1e88
0x586149a: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x1ad49a
0x5860887: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x1ac887
0x5860d78: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x1acd78
(SfxDispatcher::_Execute(SfxShell&, SfxSlot const&, SfxRequest&, unsigned short)
+ 0x138)
0x5869f6b: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x1b5f6b
0x5858831: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x1a4831
0x5858c49: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x1a4c49
0x6868d57: /usr/lib/openoffice.org2.0/program/libfwk680li.so + 0xb3d57
0x6868de2: /usr/lib/openoffice.org2.0/program/libfwk680li.so + 0xb3de2
0x4dc3e72: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x82e72
0x4ed6c12: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x195c12
(Menu::Select() + 0x3c)
0x4ed1393: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x190393
0x4ed13a6: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x1903a6
0x4dc3e72: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x82e72
0x4f1d07d: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x1dc07d
0xfecf3e: /usr/lib/openoffice.org2.0/program/libvclplug_gen680li.so + 0x1ef3e
0x101330f: /usr/lib/openoffice.org2.0/program/libvclplug_gen680li.so + 0x4530f
(SalDisplay::DispatchInternalEvent() + 0xad)
0xe1126b: /usr/lib/openoffice.org2.0/program/libvclplug_gtk680li.so + 0x1926b
0xf6a730: /usr/lib/libglib-2.0.so.0 + 0x25730
0xf684ce: /usr/lib/libglib-2.0.so.0 + 0x234ce (g_main_context_dispatch + 0x1dc)
0xf6b4d6: /usr/lib/libglib-2.0.so.0 + 0x264d6
0xf6b9b8: /usr/lib/libglib-2.0.so.0 + 0x269b8 (g_main_context_iteration + 0x66)
0xe10e9d: /usr/lib/openoffice.org2.0/program/libvclplug_gtk680li.so + 0x18e9d
0x1014521: /usr/lib/openoffice.org2.0/program/libvclplug_gen680li.so + 0x46521
(X11SalInstance::Yield(unsigned char) + 0x29)
0x4dca1ba: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x891ba
(Application::Yield() + 0x50)
0x4dca1f8: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x891f8
(Application::Execute() + 0x26)
0x678bc71: /usr/lib/openoffice.org2.0/program/libsoffice.so + 0x25c71
(desktop::Desktop::Main() + 0x15df)
0x4dcf601: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x8e601
0x4dcf6b1: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x8e6b1 (SVMain()
+ 0x29)
0x67831f7: /usr/lib/openoffice.org2.0/program/libsoffice.so + 0x1d1f7 (sal_main
+ 0x57)
0x6783243: /usr/lib/openoffice.org2.0/program/libsoffice.so + 0x1d243 (main + 0x27)
0x669d5f: /lib/libc.so.6 + 0x14d5f (__libc_start_main + 0xdf)
0x80484e1: /usr/lib/openoffice.org2.0/program/scalc.bin + 0x4e1
Comment 78 Brandon Keepers 2005-11-30 22:58:06 EST
*** Bug 174650 has been marked as a duplicate of this bug. ***
Comment 79 Tarjei Knapstad 2005-12-01 05:38:00 EST
(In reply to comment #76)
> "Public key for openoffice.org-math-2.0.1-0.141.3.1.i386.rpm is not installed"
> 
> Is this a valid error, or I do I have a problem on my end?
> 

You just need to import the keys for the testing repository (didn't yum ask you
if you wanted to do this?) Anyway, this should do the trick:

rpm --import /usr/share/doc/fedora-release-4/RPM-GPG-KEY-fedora-test
Comment 80 Caolan McNamara 2005-12-01 10:09:25 EST
for reference: http://gcc.gnu.org/bugzilla/show_bug.cgi?id=25199
Comment 81 Craig Goodyear 2005-12-01 12:34:25 EST
>> "Public key for openoffice.org-math-2.0.1-0.141.3.1.i386.rpm is not installed"

> You just need to import the keys for the testing repository (didn't yum ask you
> if you wanted to do this?) Anyway, this should do the trick:

> rpm --import /usr/share/doc/fedora-release-4/RPM-GPG-KEY-fedora-test

Importing the key fixed the problem.  I ran Yumex several times and it never
asked about importing the key.  Thank you for the help.
Comment 82 Joe Ogulin 2005-12-01 23:48:58 EST
Add yet another to the list of random crashes.

I was in a spreadsheet... was working on some stuff... including
trying to get OOo to recognize Sun's JRE (1.5), which it doesn't.

And this stuff starts happening...

I'm on Core 4 using KDE for my desktop.

---start copy and paste here---
0x6243028: /usr/lib/openoffice.org2.0/program/libuno_sal.so.3 + 0x1e028
0x62437ee: /usr/lib/openoffice.org2.0/program/libuno_sal.so.3 + 0x1e7ee
0x30c420:  + 0x420 (__kernel_sigreturn + 0x0)
0xb0188afe: /usr/lib/openoffice.org2.0/program/libsc680li.so + 0x366afe
0xaffa8cec: /usr/lib/openoffice.org2.0/program/libsc680li.so + 0x186cec
0xaffa9f85: /usr/lib/openoffice.org2.0/program/libsc680li.so + 0x187f85
0x9de9c4: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x1c19c4
0x9dea81: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x1c1a81
0x9dea81: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x1c1a81
0x9dea81: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x1c1a81
0x9dea81: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x1c1a81
0x9dea81: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x1c1a81
0x9dea81: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x1c1a81
0x9e393c: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x1c693c
0x9e3aa6: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x1c6aa6
0x9e3ac8: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x1c6ac8
0x897120: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x7a120
0x8a2bee: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x85bee
(Timer::Timeout() + 0x10)
0x8a2f68: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x85f68
0x55dde51: /usr/lib/openoffice.org2.0/program/libvclplug_gen680li.so + 0x3ee51
0x55dde3c: /usr/lib/openoffice.org2.0/program/libvclplug_gen680li.so + 0x3ee3c 
(SalData::Timeout() const + 0x24)
0x32dd9f0: /usr/lib/openoffice.org2.0/program/libvclplug_gtk680li.so + 0x189f0
0x5853fe6: /usr/lib/libglib-2.0.so.0 + 0x24fe6
0x58524ce: /usr/lib/libglib-2.0.so.0 + 0x234ce (g_main_context_dispatch + 0x1dc)
0x58554d6: /usr/lib/libglib-2.0.so.0 + 0x264d6
0x58559b8: /usr/lib/libglib-2.0.so.0 + 0x269b8 (g_main_context_iteration + 0x66)
0x32ddbcf: /usr/lib/openoffice.org2.0/program/libvclplug_gtk680li.so + 0x18bcf
0x55e4afa: /usr/lib/openoffice.org2.0/program/libvclplug_gen680li.so + 0x45afa 
(X11SalInstance::Yield(unsigned char) + 0x28)
0x89d3b4: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x803b4
(Application::Yield() + 0x48)
0x9921d4: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x1751d4
(Dialog::Execute() + 0x15e)
0x8ad0410: /usr/lib/openoffice.org2.0/program/libcui680li.so + 0x85410
0x8a9e744: /usr/lib/openoffice.org2.0/program/libcui680li.so + 0x53744
0x133d740: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0xa7740
0x1335d94: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x9fd94
0x142cca6: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x196ca6
0x142c08a: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x19608a
0x142c57b: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x19657b 
(SfxDispatcher::_Execute(SfxShell&, SfxSlot const&, SfxRequest&, unsigned short)
+ 0x137)
0x14357f6: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x19f7f6
0x1423fd1: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x18dfd1
0x142440f: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x18e40f
0x7f09e0b: /usr/lib/openoffice.org2.0/program/libfwk680li.so + 0xa8e0b
0x7f09e8e: /usr/lib/openoffice.org2.0/program/libfwk680li.so + 0xa8e8e
0x897120: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x7a120
0x9a647a: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x18947a
(Menu::Select() + 0x3c)
0x9a0ec1: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x183ec1
0x9a0ed4: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x183ed4
0x897120: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x7a120
0x9eb560: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x1ce560
0x55bdcdc: /usr/lib/openoffice.org2.0/program/libvclplug_gen680li.so + 0x1ecdc
0x55e39e8: /usr/lib/openoffice.org2.0/program/libvclplug_gen680li.so + 0x449e8 
(SalDisplay::DispatchInternalEvent() + 0xb0)
0x32ddfa9: /usr/lib/openoffice.org2.0/program/libvclplug_gtk680li.so + 0x18fa9
0x5854730: /usr/lib/libglib-2.0.so.0 + 0x25730
0x58524ce: /usr/lib/libglib-2.0.so.0 + 0x234ce (g_main_context_dispatch + 0x1dc)
0x58554d6: /usr/lib/libglib-2.0.so.0 + 0x264d6
0x58559b8: /usr/lib/libglib-2.0.so.0 + 0x269b8 (g_main_context_iteration + 0x66)
0x32ddbcf: /usr/lib/openoffice.org2.0/program/libvclplug_gtk680li.so + 0x18bcf
0x55e4afa: /usr/lib/openoffice.org2.0/program/libvclplug_gen680li.so + 0x45afa 
(X11SalInstance::Yield(unsigned char) + 0x28)
0x89d3b4: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x803b4
(Application::Yield() + 0x48)
0x89d3ea: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x803ea
(Application::Execute() + 
0x26)
0xce1d73: /usr/lib/openoffice.org2.0/program/libsoffice.so + 0x20d73
(desktop::Desktop::Main() 
+ 0x15ab)
0x8a27bf: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x857bf
0x8a286f: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x8586f (SVMain()
+ 0x29)
0xcdcbd7: /usr/lib/openoffice.org2.0/program/libsoffice.so + 0x1bbd7 (sal_main +
0x57)
0xcdcc23: /usr/lib/openoffice.org2.0/program/libsoffice.so + 0x1bc23 (main + 0x27)
0x125d5f: /lib/libc.so.6 + 0x14d5f (__libc_start_main + 0xdf)
0x80484c5: /usr/lib/openoffice.org2.0/program/soffice.bin + 0x4c5
---end copy and paste here---
Comment 83 Tarjei Knapstad 2005-12-02 06:27:01 EST
(In reply to comment #82)
> Add yet another to the list of random crashes.
> 
> I was in a spreadsheet... was working on some stuff... including
> trying to get OOo to recognize Sun's JRE (1.5), which it doesn't.
> 
> And this stuff starts happening...
> 
> I'm on Core 4 using KDE for my desktop.
> 

There's not a lot to go by in that trace, but it looks different from what most
people experience. Which OOo version are you using? The three releases in
testing all support Sun's JRE, could you try to install the latest from
updates-testing and try to reproduce that crash?

yum --enablerepo=updates-testing update openoffice.org-core

will get you the latest release from testing (2.0.1-0.142.3.1). We've used this
around the office since yesterday without any crashes.
Comment 84 Joe Ogulin 2005-12-02 10:14:22 EST
I've been using 2.0.0-3.2.1

I'll try the 2.0.1 version and see what happens.
Comment 85 David 2005-12-03 16:28:36 EST
OO.org got more stable, but got again another crash with 2.0.1-0.141.3.1
(similar to Comment #45), while having lots of documents open (about 10 - 3 of
them big, with more than 100 pages).

Noticed there's a new version in updates: 2.0.1-0.142.3.1 from Nov 30. Updated
to it, reloaded all those documents and working for 2 hours ok. Lets see if it's
really more stable...

Video Driver is probably i810
OpenOffice.org core rpm version is openoffice.org-core-2.0.1-0.141.3.1
0xe16137: /usr/lib/openoffice.org2.0/program/libuno_sal.so.3 + 0x1e137
0xe168ff: /usr/lib/openoffice.org2.0/program/libuno_sal.so.3 + 0x1e8ff
0x8cf420:  + 0x420 (__kernel_sigreturn + 0x0)
0x27d8c1d: /usr/lib/openoffice.org2.0/program/libfwe680li.so + 0x33c1d
(framework::LockHelper::~LockHelper() + 0x37)
0x27d7657: /usr/lib/openoffice.org2.0/program/libfwe680li.so + 0x32657
0x28023e8: /usr/lib/openoffice.org2.0/program/libfwe680li.so + 0x5d3e8
(framework::PreventDuplicateInteraction::~PreventDuplicateInteraction() + 0x74)
0x764c52: /usr/lib/openoffice.org2.0/program/libuno_cppuhelpergcc3.so.3 +
0x20c52 (cppu::OWeakObject::release() + 0x44)
0x2802fd9: /usr/lib/openoffice.org2.0/program/libfwe680li.so + 0x5dfd9
0x29ae080: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x99080
0xa46dde: /usr/lib/openoffice.org2.0/program/libuno_cppu.so.3 + 0xedde
0xa4f6f0: /usr/lib/openoffice.org2.0/program/libuno_cppu.so.3 + 0x176f0
(uno_any_destruct + 0x24)
0x29ae0a1: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x990a1
0x2a98663: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x183663
0x27614fb: /usr/lib/openoffice.org2.0/program/libsvl680li.so + 0x6f4fb
(SfxItemPool::Remove(SfxPoolItem const&) + 0x85)
0x2767736: /usr/lib/openoffice.org2.0/program/libsvl680li.so + 0x75736
(SfxItemSet::~SfxItemSet() + 0x90)
0x2767f98: /usr/lib/openoffice.org2.0/program/libsvl680li.so + 0x75f98
0x2a25b31: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x110b31
(SfxMedium::~SfxMedium() + 0x3d)
0x2a45f7b: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x130f7b
(SfxObjectShell::DoSaveCompleted(SfxMedium*) + 0x2ed)
0x2a48e9d: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x133e9d
0x2a49391: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x134391
0x2a4dece: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x138ece
0x2a714ed: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x15c4ed
0x2a74ab6: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x15fab6
(SfxBaseModel::storeAsURL(rtl::OUString const&,
com::sun::star::uno::Sequence<com::sun::star::beans::PropertyValue> const&) + 0xc0)
0x2a852fa: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x1702fa
0x2a4f8bc: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x13a8bc
0x2a50e26: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x13be26
0x2ac249a: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x1ad49a
0x2ac1887: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x1ac887
0x2ac1d78: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x1acd78
(SfxDispatcher::_Execute(SfxShell&, SfxSlot const&, SfxRequest&, unsigned short)
+ 0x138)
0x2acaf6b: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x1b5f6b
0x2ab9831: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x1a4831
0x2ab9c49: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x1a4c49
0x35dfd57: /usr/lib/openoffice.org2.0/program/libfwk680li.so + 0xb3d57
0x35dfde2: /usr/lib/openoffice.org2.0/program/libfwk680li.so + 0xb3de2
0x242fe72: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x82e72
0x2542c12: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x195c12
(Menu::Select() + 0x3c)
0x253d393: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x190393
0x253d3a6: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x1903a6
0x242fe72: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x82e72
0x258907d: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x1dc07d
0xd7cf3e: /usr/lib/openoffice.org2.0/program/libvclplug_gen680li.so + 0x1ef3e
0xda330f: /usr/lib/openoffice.org2.0/program/libvclplug_gen680li.so + 0x4530f
(SalDisplay::DispatchInternalEvent() + 0xad)
0x5e926b: /usr/lib/openoffice.org2.0/program/libvclplug_gtk680li.so + 0x1926b
0xcf8920: /usr/lib/libglib-2.0.so.0 + 0x26920
0xcf66be: /usr/lib/libglib-2.0.so.0 + 0x246be (g_main_context_dispatch + 0x1dc)
0xcf96c6: /usr/lib/libglib-2.0.so.0 + 0x276c6
0xcf9ba8: /usr/lib/libglib-2.0.so.0 + 0x27ba8 (g_main_context_iteration + 0x66)
0x5e8e9d: /usr/lib/openoffice.org2.0/program/libvclplug_gtk680li.so + 0x18e9d
0xda4521: /usr/lib/openoffice.org2.0/program/libvclplug_gen680li.so + 0x46521
(X11SalInstance::Yield(unsigned char) + 0x29)
0x24361ba: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x891ba
(Application::Yield() + 0x50)
0x24361f8: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x891f8
(Application::Execute() + 0x26)
0x3804c71: /usr/lib/openoffice.org2.0/program/libsoffice.so + 0x25c71
(desktop::Desktop::Main() + 0x15df)
0x243b601: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x8e601
0x243b6b1: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x8e6b1 (SVMain()
+ 0x29)
0x37fc1f7: /usr/lib/openoffice.org2.0/program/libsoffice.so + 0x1d1f7 (sal_main
+ 0x57)
0x37fc243: /usr/lib/openoffice.org2.0/program/libsoffice.so + 0x1d243 (main + 0x27)
0x20ed5f: /lib/libc.so.6 + 0x14d5f (__libc_start_main + 0xdf)
0x80484e1: /usr/lib/openoffice.org2.0/program/scalc.bin + 0x4e1
Comment 86 Brandon Keepers 2005-12-03 17:32:41 EST
(In reply to comment #85)

I experienced the same crash with the i810 and the radeon driver after running
dullwriter.ods for about 15 seconds.
Comment 87 James Bridge 2005-12-09 11:37:20 EST
Alas, this bug is NOT fixed. I downloaded and updated to version 2.0.1-0.141.3.1
yesterday and today writer crashed, vanishing off the screen as before with no
sign of a bug report. Just the one document open, 20 pages of text, no macros or
anything to cause trouble. Running on FC4, fully updated.

Perversely, the previous version had given no trouble for the past week. The
problem seems to come and go like bad weather!
Comment 88 Gilboa Davara 2005-12-09 14:43:29 EST
Try the latest -testing version.

[gilboa@gilboa-home-dev ~]$ rpm -qa | grep openoffice
openoffice.org-xsltfilter-2.0.1-143.2.1
openoffice.org-calc-2.0.1-143.2.1
openoffice.org-math-2.0.1-143.2.1
openoffice.org-core-2.0.1-143.2.1
openoffice.org-writer-2.0.1-143.2.1
openoffice.org-langpack-he_IL-2.0.1-143.2.1
openoffice.org-impress-2.0.1-143.2.1
openoffice.org-draw-2.0.1-143.2.1
openoffice.org-graphicfilter-2.0.1-143.2.1
openoffice.org-javafilter-2.0.1-143.2.1
Comment 89 James Bridge 2005-12-09 17:43:05 EST
This is exactly what I have - just checked with rpm. I must have miscopied the
release number in my previous report.

As with the previous version it seems fine for long periods and then vanishes -
just the once, so far.
Comment 90 mp 2005-12-12 09:34:15 EST
In case you did as suggested here (reverted to pre-crash version) 
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=171873#c36

which is:
# cd /var/cache/yum/updates-released/packages/
# rpm -Uvh --oldpackage openoffice.org-*1.9.125-1.1.0.fc4.i386.rpm

you might encounter the problem described and solved here:

https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=175194

<quote from there>
You reverted to 1.9.X from a 2.0.X, that's likely the problem. Can you

> tar czf /tmp/oooprofile.tar.gz ~/.openoffice.org2.0
> rm ~/.openoffice.org2.0/user/registry/cache/org.openoffice.Office.Recovery.dat

and then restart OOo and see if that makes a difference. If it doesn't, then if
you could attach /tmp/oooprofile.tar.gz I'll see if I can reproduce the problem.


Comment 91 Anne 2006-04-16 08:35:10 EDT
FC4 - rpm -qa | grep openoffice
openoffice.org-calc-2.0.1.1-5.1
openoffice.org-math-2.0.1.1-5.1
openoffice.org-graphicfilter-2.0.1.1-5.1
openoffice.org-core-2.0.1.1-5.1
openoffice.org-xsltfilter-2.0.1.1-5.1
openoffice.org-impress-2.0.1.1-5.1
openoffice.org-draw-2.0.1.1-5.1
openoffice.org-writer-2.0.1.1-5.1

I want to work on a presentation created with OpenOffice 1.1.5 under Mandriva. 
The file would not open, creating a crash report (below).  I was told to try
removing ~/.recently-used and that allowed the file to open, but every attempt
to work on it created another crash, and necessitated removal of that file
again.  It sounds like the bug described above, to me.  Crash report follows:

Video Driver is probably nv
DESKTOP_SESSION is set to kde
libgcj version is libgcj-4.0.2-8.fc4
OpenOffice.org core rpm version is openoffice.org-core-2.0.1.1-5.1
0x290007: /usr/lib/openoffice.org2.0/program/libuno_sal.so.3 + 0x1e007
0x2907cc: /usr/lib/openoffice.org2.0/program/libuno_sal.so.3 + 0x1e7cc
0x944420:  + 0x420 (__kernel_sigreturn + 0x0)
0x5ad56b9: /usr/lib/openoffice.org2.0/program/libsd680li.so + 0x2a86b9
0x5ad5779: /usr/lib/openoffice.org2.0/program/libsd680li.so + 0x2a8779
0x5b01e09: /usr/lib/openoffice.org2.0/program/libsd680li.so + 0x2d4e09
0x5929183: /usr/lib/openoffice.org2.0/program/libsd680li.so + 0xfc183
0x36ca777: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x1c3777 
(Window::GetAccessible(unsigned char) + 0x29)
0x4232b61: /usr/lib/openoffice.org2.0/program/libtk680li.so + 0x91b61 
(VCLXAccessibleComponent::getAccessibleChild(long) + 0x8d)
0xe14b5a: /usr/lib/openoffice.org2.0/program/libvclplug_gtk680li.so + 0x18b5a 
(AtkListener::updateChildList(com::sun::star::accessibility::XAccessibleContext*) 
+ 0x88)
0xe14bfb: /usr/lib/openoffice.org2.0/program/libvclplug_gtk680li.so + 0x18bfb 
(AtkListener::handleChildRemoved(com::sun::star::uno::Reference<com::sun::star::accessibility::XAccessibleContext>

const&, 
com::sun::star::uno::Reference<com::sun::star::accessibility::XAccessible> 
const&) + 0x59)
0xe14ef3: /usr/lib/openoffice.org2.0/program/libvclplug_gtk680li.so + 0x18ef3 
(AtkListener::notifyEvent(com::sun::star::accessibility::AccessibleEventObject 
const&) + 0x123)
0x569b87: /usr/lib/openoffice.org2.0/program/libcomphelp4gcc3.so + 0x5db87 
(comphelper::AccessibleEventNotifier::addEvent(unsigned long, 
com::sun::star::accessibility::AccessibleEventObject const&) + 0xb3)
0x55e585: /usr/lib/openoffice.org2.0/program/libcomphelp4gcc3.so + 0x52585 
(comphelper::OAccessibleContextHelper::NotifyAccessibleEvent(short, 
com::sun::star::uno::Any const&, com::sun::star::uno::Any const&) + 0x7b)
0x423186d: /usr/lib/openoffice.org2.0/program/libtk680li.so + 0x9086d 
(VCLXAccessibleComponent::ProcessWindowChildEvent(VclWindowEvent const&) + 
0xcf)
0x4231ef0: /usr/lib/openoffice.org2.0/program/libtk680li.so + 0x90ef0 
(VCLXAccessibleComponent::WindowChildEventListener(VclSimpleEvent*) + 0x5c)
0x4231f34: /usr/lib/openoffice.org2.0/program/libtk680li.so + 0x90f34 
(VCLXAccessibleComponent::LinkStubWindowChildEventListener(void*, void*) + 
0x1a)
0x3589e72: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x82e72
0x359823c: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x9123c 
(VclEventListeners::Call(VclSimpleEvent*) const + 0x30)
0x36d1fb3: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x1cafb3 
(Window::CallEventListeners(unsigned long, void*) + 0xaf)
0x36d2013: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x1cb013 
(Window::ImplCallEventListeners(unsigned long, void*) + 0x1d)
0x36d3615: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x1cc615
0x36d8500: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x1d1500 
(Window::Show(unsigned char, unsigned short) + 0x18e)
0x5921944: /usr/lib/openoffice.org2.0/program/libsd680li.so + 0xf4944
0x5b13fae: /usr/lib/openoffice.org2.0/program/libsd680li.so + 0x2e6fae
0x5b0e819: /usr/lib/openoffice.org2.0/program/libsd680li.so + 0x2e1819
0x5b02a9c: /usr/lib/openoffice.org2.0/program/libsd680li.so + 0x2d5a9c
0x5b02267: /usr/lib/openoffice.org2.0/program/libsd680li.so + 0x2d5267
0x5b03792: /usr/lib/openoffice.org2.0/program/libsd680li.so + 0x2d6792
0x597c0f4: /usr/lib/openoffice.org2.0/program/libsd680li.so + 0x14f0f4
0x597daf3: /usr/lib/openoffice.org2.0/program/libsd680li.so + 0x150af3
0x597dccd: /usr/lib/openoffice.org2.0/program/libsd680li.so + 0x150ccd
0x597e385: /usr/lib/openoffice.org2.0/program/libsd680li.so + 0x151385
0x597e3a8: /usr/lib/openoffice.org2.0/program/libsd680li.so + 0x1513a8
0x59855b5: /usr/lib/openoffice.org2.0/program/libsd680li.so + 0x1585b5
0x5982f92: /usr/lib/openoffice.org2.0/program/libsd680li.so + 0x155f92
0x4af1ff4: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x1b0ff4
0x4af13e1: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x1b03e1
0x4af16f5: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x1b06f5
0x4af1798: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x1b0798
0x49ea71c: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0xa971c
0x4b0a785: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x1c9785
0x4b0a640: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x1c9640
0x4b0a79a: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x1c979a
0x4b0a62c: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x1c962c
0x3589e72: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x82e72
0x36e3485: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x1dc485
0x2401ed0: /usr/lib/openoffice.org2.0/program/libvclplug_gen680li.so + 0x1eed0
0x242812b: /usr/lib/openoffice.org2.0/program/libvclplug_gen680li.so + 0x4512b 
(SalDisplay::DispatchInternalEvent() + 0xad)
0xe16e1f: /usr/lib/openoffice.org2.0/program/libvclplug_gtk680li.so + 0x1ae1f
0x1167730: /usr/lib/libglib-2.0.so.0 + 0x25730
0x11654ce: /usr/lib/libglib-2.0.so.0 + 0x234ce (g_main_context_dispatch + 
0x1dc)
0x11684d6: /usr/lib/libglib-2.0.so.0 + 0x264d6
0x11689b8: /usr/lib/libglib-2.0.so.0 + 0x269b8 (g_main_context_iteration + 
0x66)
0xe16a51: /usr/lib/openoffice.org2.0/program/libvclplug_gtk680li.so + 0x1aa51
0x242933d: /usr/lib/openoffice.org2.0/program/libvclplug_gen680li.so + 0x4633d 
(X11SalInstance::Yield(unsigned char) + 0x29)
0x35901ba: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x891ba 
(Application::Yield() + 0x50)
0x35901f8: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x891f8 
(Application::Execute() + 0x26)
0x45c6015: /usr/lib/openoffice.org2.0/program/libsoffice.so + 0x29015 
(desktop::Desktop::Main() + 0x15df)
0x3595769: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x8e769
0x3595819: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x8e819 
(SVMain() + 0x29)
0x45bda37: /usr/lib/openoffice.org2.0/program/libsoffice.so + 0x20a37 
(sal_main + 0x57)
0x45bda83: /usr/lib/openoffice.org2.0/program/libsoffice.so + 0x20a83 (main + 
0x27)
0x977d7f: /lib/libc.so.6 + 0x14d7f (__libc_start_main + 0xdf)
Comment 92 Caolan McNamara 2006-04-18 06:46:35 EDT
caolanm->Anne (cannewilson@tiscali.co.uk):

Anne, I believe your problem is unrelated. I suspect you have accessibility
enabled. If I am correct, then to disable under GNOME, use
desktop->preferences->accessibility->assistive technology support, disable,
logout and login. Under kde refer to KDE documentation. If the problem persists,
please open a new bugzilla issue for this
Comment 93 Anne 2006-04-19 14:02:03 EDT
I use kde.  I did have gnopernicus and festival installed, as I wanted to
explore them, but I have uninstalled them now.  I'll try to test this out over
the next day or so, and report back as to whether it is now stable.

Note You need to log in before you can comment on or make changes to this bug.